GNU bug report logs - #46926
Remove the quotes from highlighted/linked symbols when displaying docs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: scame <laszlomail@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 46926 <at> debbugs.gnu.org and scame <laszlomail@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 20 Jun 2022 00:25:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 20:25:23 2022
Received: from localhost ([127.0.0.1]:53498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o35EJ-0000VT-Dp
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 20:25:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o35EF-0000V9-Hn
 for 46926 <at> debbugs.gnu.org; Sun, 19 Jun 2022 20:25:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=g7RdULhZRnBmXcuVAcog4l6fe6SeKTNvB5InkB+JwHQ=; b=O3DC7fXzP1QNXUPwGmDKDgM8Ub
 HOzKkVA8DZr+FMUDOU4LHRzCtJN6qncRa/qPpG189CJAyU/nZWVk41bDimT4CuE/DP/G0PSxgSaxI
 WXGKulvJatb/qEVAIJ4QEjKywqyaOGHrcexQQuk7qK+xj0m1sz1Zsf/sVdlKd7t/NqkU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o35E6-00040r-0R; Mon, 20 Jun 2022 02:25:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols
 when displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN>
Date: Mon, 20 Jun 2022 02:25:09 +0200
In-Reply-To: <838s6rhthh.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 13 Mar
 2021 19:08:10 +0200")
Message-ID: <87wndcqize.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > No, because offering
 an opt-in behavior is a better way of letting > users to try the feature.
 I've now added this as `help-clean-buttons' in Emacs 29. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46926
Cc: scame <laszlomail@HIDDEN>, stefan@HIDDEN, rms@HIDDEN,
 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> No, because offering an opt-in behavior is a better way of letting
> users to try the feature.

I've now added this as `help-clean-buttons' in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 17 Mar 2021 15:53:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 17 11:53:44 2021
Received: from localhost ([127.0.0.1]:43851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMYUF-0002ci-9d
	for submit <at> debbugs.gnu.org; Wed, 17 Mar 2021 11:53:43 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:55088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lMYUC-0002cU-Vq
 for 46926 <at> debbugs.gnu.org; Wed, 17 Mar 2021 11:53:30 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12HFp0SY067618;
 Wed, 17 Mar 2021 15:53:21 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=w+7ui5fS0+880/jSlN/e+eM3c6wf1Axtga9YZWsG3Ss=;
 b=hhX8vJ9UdYAyREOmYTXJSCdz19jOFNCbeGnXLz8uWvF9Quk0cyUuhQqgNpdD0OM67Zl6
 V2EV34uxkk1KMVO5w4FCEyAl57tfp87wr/eZuu0cmrbnUi7VygCkfENfLcApcStNqXSo
 oBrEUfmXUuwd9bvKHY+EfxHHcoAilSCEp3tYt0r2fR9PN/fwY5TYjViJcSxLOiYeY+bR
 ybYXrjspVyAquRT6exguIaNOZfM11t3FiY7oKudvcVOyULcejixXgosfBZDTzf1PaBod
 5jfqLfnZGZHtPaV34kPR6UEI8ArYIYn7NnWq/ZjCojU5/JsHNk4b21piEdwU+JaCN9sn DA== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 37a4eksh9p-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 17 Mar 2021 15:53:21 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12HFpSWA084533;
 Wed, 17 Mar 2021 15:53:21 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2106.outbound.protection.outlook.com [104.47.58.106])
 by userp3020.oracle.com with ESMTP id 37a4euja5t-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 17 Mar 2021 15:53:21 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=V++E0kjnEuwt4AIQZzDN7dyxOkHLdnEu03fi4N//q7IBuJ+M8iSLF8YKkqOT+A7usiQCXRdDDFpwIVM/jg9DB+F9HsRpo3naiVRgLny30UzuYot9J9lBUfYHduZyThKeuHoRMlfbRqUdliJJRN/JUDGy+pyseYpzXAIUydgrqLVooSJIKN/K14QubQ0VcBESJyR+d1D9jqtCdBZ+z/ACUtOCZF5egyMJtf6cBbqtDYesKq3Jw/22Xt5aCBUxUVX8h3tjvwYw5iLdIwhLqPHufHrGLVt9O7lT/kk/lXapCSSpnyJ313HDeTeZpLigfmXHA8NlludGr3+yaq6RKDtQeg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=w+7ui5fS0+880/jSlN/e+eM3c6wf1Axtga9YZWsG3Ss=;
 b=bzKrLD2w04QtliADN3g45M24WYJguiTftQITinmxb/KACWMdSs1kjE7193xz1das5/LoKTiNdJ/GyZ5g5WEWLHqdDCkUN0RWBMCGOHhfc+zcGLfGvxybCr7Ov5RDuUXTxqxwsLczdUF2M6QxYJlyNekYCYQF2fpRktogO8nH3dz1oz+5mxfQn0q4Ejk7W0xfPQ6+04gEviJrZ2gGysLfJMGOTdA0IHZmHRkUWeSpzQ5Cc3v/Mdx89yBNoI1mbvy2dqkiesoNkOjqESk6KgiimOh6ppU0jX7K81GKQtjUqSMgMSnV1uO0ex2DyS72RfnHVD5mFdrGCSTMgJqyQzWlvA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=w+7ui5fS0+880/jSlN/e+eM3c6wf1Axtga9YZWsG3Ss=;
 b=eCL0u3HgisnKyYjOeF2lTDBUWIqqQGp/y0H7t1+77Ih69ycCf6xE50jbI8Pgge2e3EF3ELNFPEitU/wXvr+tEDz5h5eVH6uDd7rfRqwA2e51EB9beHcoaLir0679DKqK4JuR32o1yGgLN+uVyppCdQW+qPn9GL48TRyviSHqmAo=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4507.namprd10.prod.outlook.com (2603:10b6:806:119::22)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3933.32; Wed, 17 Mar
 2021 15:53:19 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3933.032; Wed, 17 Mar 2021
 15:53:19 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: scame <laszlomail@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : bug#46926: Remove the quotes from highlighted/linked
 symbols when displaying docs
Thread-Topic: [External] : bug#46926: Remove the quotes from
 highlighted/linked symbols when displaying docs
Thread-Index: AQHXGvLvS7CWqh/RPUqYr+7CrVCZpaqIVVow
Date: Wed, 17 Mar 2021 15:53:18 +0000
Message-ID: <SA2PR10MB44746ED22D8E4453C9B3ABBBF36A9@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN> <831rcgfgpd.fsf@HIDDEN>
 <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
 <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
 <83o8fje0nd.fsf@HIDDEN> <874khawv4y.fsf@HIDDEN>
 <g-mjA4QPMsC-bm9BgUKOJIoxpBCWTshoGzeekKWOzWn-MPjzEPRPuqUo00NIu-I4hSEQnE3hTs0LEcOAYKBSxnoVU9xF9XFc6c80yhfbUDY=@protonmail.com>
In-Reply-To: <g-mjA4QPMsC-bm9BgUKOJIoxpBCWTshoGzeekKWOzWn-MPjzEPRPuqUo00NIu-I4hSEQnE3hTs0LEcOAYKBSxnoVU9xF9XFc6c80yhfbUDY=@protonmail.com>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: protonmail.com; dkim=none (message not signed)
 header.d=none;protonmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 5d4ffb43-f955-4da2-3b07-08d8e95cc8ef
x-ms-traffictypediagnostic: SA2PR10MB4507:
x-microsoft-antispam-prvs: <SA2PR10MB450713A3E5654D57ACEAFCE9F36A9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:1186;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: sTpAH8uvCGgt1C+d7Sc27sUJaWPq/gTBXedcqgUrOLGbu/GZ7PAU/Y6gT/W6K+oLrqfowZ7HAKplmTGlLeKMY0rCmxrs50K2YnlhaBN41hpJhgFdNtA7mrlDI5VMiTB+LsE45QmhyQL3Ea+gtQr9NGqcDh47bKk0hhaoR0/gwYVy0aym4EynOqZysV1oudNjI3dvZCg0dgFuSP+cmvl7qbp07nrhDS4tPLC3rzJSUjEHAMulWVv1xASElpZ+Mq7NGz/68boxljqlknpE4X2LjCJqXCHuAFDYpMdNOtzw8jOBYaYSqxjNviYcAx4qSE8t3ox8XCEJAGdLvzWxitbQY6wlXb3OQfsd6HwLFOhz5Oh3w2ow+AiTqNCVZlPlUXhYlWzunIOrXBu+Lx4uMk2JD0jAPX4f2FD4+qK/VhffwTZ2/1ep7vfxAuYmyPZgK8f7XNHv6W/rb3t8L1ITe5JsKfr4DqX2IMEl2qHt/Vrau9FRQU6cneGMgVePDOa0fJnQnpUcGW5hXw+wxS2g1HyN68jaO1+RgUw/5EPxcKmqbLlGxQFBWLPRHfQ3dfFRQMJo
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(39860400002)(346002)(366004)(136003)(376002)(316002)(110136005)(558084003)(7696005)(33656002)(8676002)(66446008)(6506007)(44832011)(66556008)(4326008)(52536014)(8936002)(5660300002)(66476007)(478600001)(186003)(54906003)(66946007)(76116006)(26005)(2906002)(86362001)(9686003)(55016002)(71200400001)(64756008);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?enpYT2pacXhaYms4RUFRYzVMNDFQa2VTTGNYcU5nUHlSUjN3N1NoUXdqYmZj?=
 =?utf-8?B?VEl0RmtFZnBVODE2VklOM21QUE10OWJkVzNPWUlBSHFCRUFBaGFHcWk5QkE3?=
 =?utf-8?B?eWRPWGxxdnkzcWFTMnd4cnN6ZW1pdTZ2R0VpSzIwY3NIUjY4NXc4U2FsTTBS?=
 =?utf-8?B?RjByRmtEcmNXbVpWNlY5Qm5qQTVOQm9qN21xblhGbEFaWEcvQURHQWMvUzMx?=
 =?utf-8?B?WlBvcloxMHExaWI0K2dWaG5uTWFGTTFtWmlscEN3L0YvMVE2d1prUTlsVjBL?=
 =?utf-8?B?djJsY3lyVGFlSVZHYnNMYWI5dWVlQXdOM1hUMkZ2REd4a2dYVGRKcEVHQm13?=
 =?utf-8?B?UzdYTC9HQWQ2M2FpVXdZeUFqY2ZjSi84TnpMdHYrYWtWY05kVVNhcDZhUTRO?=
 =?utf-8?B?WnVERFB3V08rbXdTVlFscUdZS1ZuTEVzYlZzNkFMRHNVUFZpdUh2WDBtV0po?=
 =?utf-8?B?bXBwVXhoeWVFR2xvM1laMnQrV2gxRy9pT2ZKdkpHbDF2SE9kQi9FcngwTVo5?=
 =?utf-8?B?dyt0WjlUb2Z6VllTSFNUOFVMa1RTdWNqNkg4L1lUZkIxM0RSWFBTc3RmdDB2?=
 =?utf-8?B?c3lBQWptR2RvaWNqTUZLdUwraXJEbXhtei9ZTERydHdDZUltTG9lcDh3UlI2?=
 =?utf-8?B?UkFndGw4OHE2R2V4VytKaHpNM3Y1eE5jQkpVU2hpMVlIVThUQjB6MmdWUmhN?=
 =?utf-8?B?ZER2VmxMZDBPamZHbER1MVczc3FMdzJHajg2Vm0zT0xNV2ZrRUlERjVzUkFv?=
 =?utf-8?B?ckh1VzFQTXJsQ3hscDM5cGFXdm80dG5MM2lDUVJkSmZmdDkyL0h3bXVUSzFv?=
 =?utf-8?B?N21uaDZ5M3pTM0dFMGhJVjdrRDRnTk53UElhSlpVVkNianc5RWwxNy9jUWZt?=
 =?utf-8?B?TzhGTk5zUzc3NjZmWW5kcDJ4RVlzN2tWSDVtbVI4YUUxaVVqV0QrK1dhRFAx?=
 =?utf-8?B?ZUlId3E3R01lL3c1a0Fodks2OVdSSUtRRVBBWGNPK1BUdGpWcXd3UjAxWTBi?=
 =?utf-8?B?SWhYK21BbkFZOHl4VTM4a1BCTnVwNVB4cG5adjFXSzQ3dW1SUlJ6MGFxSUlp?=
 =?utf-8?B?ZFcvd0F5QzBFZG9KZkgwMGZZdElPOTVkSHdsVU1aSk8rTUtrMGoyaW5rd1Aw?=
 =?utf-8?B?UmJJd29iQ3o3ZzFVNlpXUGpoVDRZSHVIL1lpUnhtbGJTdGxGVnBFNGwxUGdM?=
 =?utf-8?B?bjR0SUFoelY1OFJ5WGxsTmo3NTg2SkNjbkpWdzlZM1JRNE1wMjZpK2JlL21S?=
 =?utf-8?B?YzVPNHJJRE1QUExua1hvSDkyQ3FHZG1TNnhYbEJBWWhSR2dWa2xnaDJ5Ri8v?=
 =?utf-8?B?Ly82eEZJU2p1Q25MUnpVeHpVSlFRejNXNUtJNVRNWjVGekdON0txNllXNmVs?=
 =?utf-8?B?NWVmMUllc1VRUHZmRno2WE9EK1lZa0wxWC9UMXJZVmYxQklGQmU0eUlMVnhL?=
 =?utf-8?B?bXdLRTRaTTQxeUFtNzZFK1lrQW95WFAzc0o0cmdEdFhPend1QTFTZnB3UWZ3?=
 =?utf-8?B?cXN2OGRnVzMzRWZSMnl2OEtPV1ZBdENib3kxeFFFVjBzT2FwQkFEelJ6Yjg1?=
 =?utf-8?B?RzhuKzVJN1hDb0N3MHl5NDA2L2t1b2xiQVkwa1lMYVlGODlya0N0eENFS0lw?=
 =?utf-8?B?R0cwZkVVM0tEUXIyUjhwRU52a2V3RStRcEpXdFFMQmt6cFMxcUcrbzlrTE96?=
 =?utf-8?B?bjU4T1A5SmxvcVFKRVBrR2pQRytqY1M4UHFRSk5tb2hIZlJTVTRMVjZaSG80?=
 =?utf-8?Q?+gI7nJca9NPSoCIMEBFDAnr54T68/Pl42AuY1Ha?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 5d4ffb43-f955-4da2-3b07-08d8e95cc8ef
X-MS-Exchange-CrossTenant-originalarrivaltime: 17 Mar 2021 15:53:18.8856 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: LOAxcWmDdS3L77CSh8q894ywpK/Q9morYy6sOwMOQC9/6IFXEWYEagXrIh/dRZ70tbZUtz5hsFTVs3LrRIOhpw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4507
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9926
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 suspectscore=0
 malwarescore=0 phishscore=0 bulkscore=0 mlxscore=0 mlxlogscore=897
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2103170113
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9926
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 malwarescore=0 bulkscore=0
 impostorscore=0 lowpriorityscore=0 mlxlogscore=999 spamscore=0
 priorityscore=1501 adultscore=0 phishscore=0 suspectscore=0 clxscore=1015
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2103170113
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46926
Cc: Stefan Kangas <stefan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "rms@HIDDEN" <rms@HIDDEN>,
 "dgutov@HIDDEN" <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

PiBDb3VsZCB5b3UgYWxsIHdobyBkaXNjdXNzIHRoZSBNLW8gcHJvYmxlbSB0YWtlIHRoaXMgZGlz
Y3Vzc2lvbiBvZmYgZnJvbQ0KPiBidWc0NjkyNidzIHRocmVhZD8gRm9yIHRob3NlIG9mIHVzIHdo
byBmb2xsb3cgdGhpcyBzcGVjaWZpYyBidWcsIGRldGFpbHMNCj4gb2YgdGhlIE0tbyAgZGlzY3Vz
c2lvbiBpcyB1bnJlbGF0ZWQgbm9pc2UuIFRoYW5rcy4NCg0KKzENCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 17 Mar 2021 13:09:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 17 09:09:29 2021
Received: from localhost ([127.0.0.1]:42330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMVvU-0004MC-Rp
	for submit <at> debbugs.gnu.org; Wed, 17 Mar 2021 09:09:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lMVvT-0004M0-Ck
 for 46926 <at> debbugs.gnu.org; Wed, 17 Mar 2021 09:09:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35666)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lMVvK-0004JF-KJ; Wed, 17 Mar 2021 09:09:21 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4442
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lMVvD-0000sb-A1; Wed, 17 Mar 2021 09:09:11 -0400
Date: Wed, 17 Mar 2021 15:09:09 +0200
Message-Id: <83v99qc4ga.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <g-mjA4QPMsC-bm9BgUKOJIoxpBCWTshoGzeekKWOzWn-MPjzEPRPuqUo00NIu-I4hSEQnE3hTs0LEcOAYKBSxnoVU9xF9XFc6c80yhfbUDY=@protonmail.com>
 (message from scame on Wed, 17 Mar 2021 06:00:33 +0000)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN> <831rcgfgpd.fsf@HIDDEN>
 <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
 <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
 <83o8fje0nd.fsf@HIDDEN> <874khawv4y.fsf@HIDDEN>
 <g-mjA4QPMsC-bm9BgUKOJIoxpBCWTshoGzeekKWOzWn-MPjzEPRPuqUo00NIu-I4hSEQnE3hTs0LEcOAYKBSxnoVU9xF9XFc6c80yhfbUDY=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org, larsi@HIDDEN, stefan@HIDDEN, rms@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 17 Mar 2021 06:00:33 +0000
> From: scame <laszlomail@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, Stefan Kangas <stefan@HIDDEN>, "dgutov@HIDDEN" <dgutov@HIDDEN>, "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "rms@HIDDEN" <rms@HIDDEN>
> 
> Could you all who discuss the M-o problem take this discussion off from
> bug46926's thread? For those of us who follow this specific bug, details
> of the M-o  discussion is unrelated noise. Thanks.

You are asking for the impossible.  When some side issue arises in the
midst of a discussion, people tend to use the same thread to discuss
those side issues.  As long as the main discussion doesn't get
derailed, and the side messages are relevant, there's nothing we can
do about that.  We are all human.

You will have to filter out the messages that are noise for you, as
everyone else does.

(Of course, if the side issue is off-topic here, those who raise it
should be asked to take that elsewhere.  This isn't such a case,
though.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 17 Mar 2021 06:00:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 17 02:00:51 2021
Received: from localhost ([127.0.0.1]:41692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMPEh-00085y-Fq
	for submit <at> debbugs.gnu.org; Wed, 17 Mar 2021 02:00:51 -0400
Received: from mail-40141.protonmail.ch ([185.70.40.141]:44736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lMPEb-00085h-Lc
 for 46926 <at> debbugs.gnu.org; Wed, 17 Mar 2021 02:00:50 -0400
Date: Wed, 17 Mar 2021 06:00:33 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615960839;
 bh=NFF/ejgw1J16osHsm04wzZ1IecG3HZ1ttALdwnBMTS4=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Ko2h8MfyvU2/UHm2/XKPD35dvIX7L/Xd6o9d/oRV9477NPVKord1bmiy739kNKlxW
 oxtcu7D69PLLxtR/M3Ss3YDodYjRPe2QUaRf0YWJRdx1lzImGRFG9xGKfIGNGYEc8y
 EPzx0qglnU+v/CDrDxrldIYbeIh7JPEBiOs+zf4g=
To: Lars Ingebrigtsen <larsi@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <g-mjA4QPMsC-bm9BgUKOJIoxpBCWTshoGzeekKWOzWn-MPjzEPRPuqUo00NIu-I4hSEQnE3hTs0LEcOAYKBSxnoVU9xF9XFc6c80yhfbUDY=@protonmail.com>
In-Reply-To: <874khawv4y.fsf@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN> <831rcgfgpd.fsf@HIDDEN>
 <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
 <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
 <83o8fje0nd.fsf@HIDDEN> <874khawv4y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>,
 Eli Zaretskii <eliz@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "rms@HIDDEN" <rms@HIDDEN>, "dgutov@HIDDEN" <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> Are we disputing anything about`M-o M-o'? Questions were raised about wha=
t the use case of`font-lock-fontify-block' was (because it's a
> command that some people have never used, and some people seem to find
> very useful). Which is one of the things this process seems to be handy
> at clarifying.
>

Could you all who discuss the M-o problem take this discussion off from
bug46926's thread? For those of us who follow this specific bug, details
of the M-o  discussion is unrelated noise. Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 23:12:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 19:12:56 2021
Received: from localhost ([127.0.0.1]:41424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMIrw-0006fl-Lx
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 19:12:56 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lMIrr-0006fS-Hm
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 19:12:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=o/xnhqYg/nUSqgiiXUHFRFuLIDm41zkRGrQ2+HNi3mE=; b=a8fzTAMBEl3DyyZ0SQ6v36KQli
 iK/xICf+ItjmS3b+QaWt3khWCqWiwLGdLe95YEFwiwA6Eb6FQWXGJ8ats5FHLcHmg95WOaoed3ntW
 7GFisey+Nz0CJqLuhP0Ml49L5/feiDobyQoEIYXUcMPvnu8xLD0NTVUstQg30Ex1gSt4=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lMIrX-00005a-0G; Wed, 17 Mar 2021 00:12:43 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols
 when displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN>
 <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN>
 <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
 <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
 <83o8fje0nd.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUaCwpdNjCYZVm7
 iXbpyrf///+ul/arAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UDEBcGJ3fdqsYAAAGYSURBVDjLddOL
 lasgEAbgIWmAGW8BwqQAEQu4Efqvaf/BrBF1OTlG+Q7zECQi8uTIeWrDs2P6Dk+8PTLmj0C/j/jH
 3YFYdnAk8z4vMbLfVygjtv0ca87hk8QF5RYXV9Gl5DmOVpmtCCK4E4TJtdYcw2MierC3ylCzRtUF
 UOIsb4RFHVtLmjUbrJL1/amsZUZei1RYiv4/tqa5FkBSLdF3UG2UYX6VQFdYZ7nAVuyCClIHg9bF
 AOF6eNQGlid0ybnlaBC7nWDrrs6vBscl/K9Vpfa2ehgacC5z6CFsoPkM0WJljnqCwC39HDRKBzG0
 LCXgxnUQmV+1lBxH7NIRsMmutdL1vYG3YCudwITQ+HgFbLHTdJqn9Vu9P+yUUN2Os+EcD21TTTvQ
 d4UASgN3hcUOJeEyjnHAB4Ujm8ZhA+8wP9EUKCVRSjQ9P2Df0MsDdEQ9iYLsK5DlvcEAEKtq8S2U
 83GKNKYGT4PsbZZ9CAEf4jMI+tyArsO5P4ABpdwsmGzFDeBtAyrdDQcId/MMyDciGVDyeVcJ5/IH
 9yBR8BjwudoAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDMtMTZUMjM6MDY6MzkrMDA6MDAmeLwo
 AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAzLTE2VDIzOjA2OjM5KzAwOjAwVyUElAAAAABJRU5E
 rkJggg==
X-Now-Playing: Jane Siberry's _Bound By The Beauty_: "Hockey"
Date: Wed, 17 Mar 2021 00:12:29 +0100
In-Reply-To: <83o8fje0nd.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 16 Mar
 2021 14:36:06 +0200")
Message-ID: <874khawv4y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Maybe I'm missing
 something, 
 but didn't Lars say a few days ago that > (almost) no feedback was received?
 There were very few complaints about the removed keystrokes, yes. But that's
 different from getting no feedback. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org, laszlomail@HIDDEN,
 Stefan Kangas <stefan@HIDDEN>, rms@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Maybe I'm missing something, but didn't Lars say a few days ago that
> (almost) no feedback was received?

There were very few complaints about the removed keystrokes, yes.  But
that's different from getting no feedback.

> And if we gathered enough feedback, then why are we once again
> disputing whether "M-o M-o" is an important binding, and if so, where
> to move it?

Are we disputing anything about `M-o M-o'?  Questions were raised about
what the use case of `font-lock-fontify-block' was (because it's a
command that some people have never used, and some people seem to find
very useful).  Which is one of the things this process seems to be handy
at clarifying.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 18:44:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 14:44:28 2021
Received: from localhost ([127.0.0.1]:41074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMEg7-0000Fh-SL
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 14:44:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lMEg5-0000FT-NM
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 14:44:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44294)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lMEfy-0002gs-JV; Tue, 16 Mar 2021 14:44:19 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4395
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lMEfr-0001eb-50; Tue, 16 Mar 2021 14:44:11 -0400
Date: Tue, 16 Mar 2021 20:44:25 +0200
Message-Id: <837dm7djli.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <e877ff8b-dc5d-7a5b-dc34-68bd81f5758a@HIDDEN> (message from
 Dmitry Gutov on Tue, 16 Mar 2021 17:41:10 +0200)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN> <e877ff8b-dc5d-7a5b-dc34-68bd81f5758a@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, stefan@HIDDEN, rms@HIDDEN,
 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Cc: laszlomail@HIDDEN, 46926 <at> debbugs.gnu.org, larsi@HIDDEN,
>  rms@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Tue, 16 Mar 2021 17:41:10 +0200
> 
> But speaking of 'M-o', even if we end up reverting the change because we 
> receive enough evidence of the change being problematic, that wouldn't 
> characterize the approach as bad. It would just reach one of its 
> possible conclusions, as any good scientific experiment should.
> 
> What could reflect on the approach poorly, is if, for example, we follow 
> it, then keep the change because nobody brings up significant problems, 
> and then, after Emacs 28 is released, we find out about some big 
> breakage caused by the change.

I agree: what you describe above is not a failure of the procedure.
The failure is if we are unable to make a decision.  And from what
I've seen we might be there with the M-o issue.  That's why I hope
this one will be different.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 16:27:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 12:27:46 2021
Received: from localhost ([127.0.0.1]:40870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMCXq-0003BY-Ks
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 12:27:46 -0400
Received: from heytings.org ([95.142.160.155]:57914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lMCXo-0003BP-Tb
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 12:27:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1615912063;
 bh=cjek3AhsgmKsKI3nVuxPEkR6g02hcSwasnLp9Ec2KzU=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=pbGawiNBbXGCunGrRQTPbQ082oUZ9KznAhY9evyAym04VV/qqoODsMYHZraY10HV2
 IQ0t8M2xdSblxslvc3wddDq40xXsd7W4Hjtxkv3MDwSYCzaTBCBMlDs4qeS9CaijKd
 ciDjAd4Y15TvF6d0afFn3bPkqCuhOz43oG7YyYieI6hITx9an6gcriBUU0B/ZroE9G
 5dWPlJgvV/nGYV6OY97QPv0RP9mBOhirocB9bASpeW92eSDbzlDCTWlUDtjBqbAJDW
 yyX4v1uH9QjkT1roO9WpWbZax+uwAdq8J7suxs1nAQhi0AnMC2o/O/4OJc6TFuMVwh
 skoR33Zxcok8g==
Date: Tue, 16 Mar 2021 16:27:43 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols
 when displaying docs
In-Reply-To: <83im5rdy7l.fsf@HIDDEN>
Message-ID: <79df20bdf41db7074585@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
 <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
 <83o8fje0nd.fsf@HIDDEN> <79df20bdf4e23c709781@HIDDEN>
 <83im5rdy7l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> You (and two other people) mentioned that you want to keep the 
>> functionality of "M-o M-o" in vanilla Emacs.
>>
>> Stefan M explained that "M-o M-o" = font-lock-fontify-block does not 
>> work well, and that he would like to deprecate it.
>>
>> I proposed a font-lock-update command that would be bound on "C-x x f", 
>> and said that while the "C-x x f" binding is less convenient than "M-o 
>> M-o", this regression is (largely?) compensated by the fact that 
>> font-lock-update works correctly, unlike font-lock-fontify-block. 
>> Moreover, the font-lock-update command is also more general, as it can 
>> be used to correctly toggle Font Lock mode, which M-x font-lock-mode 
>> can't do.
>
> That's the "dispute" I alluded to.  If the word "dispute" is unfortunate 
> here, I take it back, but the main point remains: the issue is still 
> under discussion, with new aspects being revealed and discussed, so it 
> doesn't sound like we gathered enough feedback to allow us to make a 
> decision, not yet anyway.
>

As far as I can see, all aspects have been revealed and discussed, but the 
discussion has stalled.  In short, font-lock-fontify-buffer and 
font-lock-fontify-block are "defined by their implementation" as Stefan M 
said, which means that they don't work as they should.  The command I 
proposed is short (five lines), and uses font-lock-fontify-region, which 
does not have that problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 15:49:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 11:49:18 2021
Received: from localhost ([127.0.0.1]:40810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMBwc-0002E9-I2
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 11:49:18 -0400
Received: from mail-40138.protonmail.ch ([185.70.40.138]:26111)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lMBwb-0002Dv-1x
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 11:49:17 -0400
Date: Tue, 16 Mar 2021 15:49:08 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615909750;
 bh=QYTSGtihZsCkGVwoTu6TKdo5Yi5xLXBI/t4Gt3kXMtg=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Rh2+XcdTx8EPGuExFpzrVSAwcff+LvTmtAhCYZQOvfqvBCMourRrkJR9Zh1y3TJFz
 vmglLTpMV9QFy055zvzMrXZMPA3As5YEObzOT7mmywybuBVs6ndD6LJHBFtKLsohcV
 To3u+cilHIvYqzy2grdeDedpbFTWQd6AqMGvTNOE=
To: Dmitry Gutov <dgutov@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <CAwSACrTomNyRkUfeC2kRvsLuh33qljh26DPit_LRWk3wKiEP9tmePK5oCCbepJWkoiHrhYH0FEhOQY6WMfQwxZgC4-XYkbc4Gv8yum-kzA=@protonmail.com>
In-Reply-To: <e7ad3ea3-5d26-64e7-ca06-f161791e2049@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <83r1kfeptr.fsf@HIDDEN> <e7ad3ea3-5d26-64e7-ca06-f161791e2049@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>,
 Eli Zaretskii <eliz@HIDDEN>, "stefan@HIDDEN" <stefan@HIDDEN>,
 "larsi@HIDDEN" <larsi@HIDDEN>, "rms@HIDDEN" <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> Simply saying "let's make it opt-in" closes the door on the discussion
> of the subsequent change of the default, which is often what reporters
> care about in discussions like this.

The UI pro agreed that not showing the quotes is better for the user.

How about hiding the quotes by default, but adding an option to restore
them if one prefers that?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 15:45:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 11:45:29 2021
Received: from localhost ([127.0.0.1]:40805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMBsr-00027f-Aq
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 11:45:29 -0400
Received: from mail-wr1-f42.google.com ([209.85.221.42]:40855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lMBsp-00027T-V8
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 11:45:24 -0400
Received: by mail-wr1-f42.google.com with SMTP id v11so7684840wro.7
 for <46926 <at> debbugs.gnu.org>; Tue, 16 Mar 2021 08:45:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=UOgRP556OIyR0ZB9Sw3cL5XsjJh1oE5ayCjVtm9RReI=;
 b=l2EoKbceOFjcS5KQWGV8YIpszeeoa1fnxm5fc91TsT6OYq/FPGIHUBtECdxP/KnLXI
 rKfGA90al2w3nGqjLVyF8jI/jMgj0wfO7GFRtzbDXKhK+uEH2btGxsUvkxxShQuEchCe
 V5KZzxspRzZtMga5F/Pcz2XIrhADjowqCsST8TbHDZOn+T6EnNL5ytwR9MgawGmMEzhZ
 OblMen4RQhwKjzFrXhRAXxtrweMTMkYB/Hu6xvFrz9vlDUj+GXscGnetMB1FCbW24J85
 nRE5tSIahsP65ys4OjLzC2vp2+x3Fx9FMsRMTj907Z+VB3jk+8wfBUYuUI6JtF8odd26
 0GHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=UOgRP556OIyR0ZB9Sw3cL5XsjJh1oE5ayCjVtm9RReI=;
 b=M8e5V/TjjD7tcAMaX3wLN09FedyWoL+50a5T6F9GXm0r6WTA4OjQdfbKxlGOzb+uDE
 1yReDbwGaF3SUftzYSVuld927rIz2vvOmA0iJGe0kOzkfRDTL7Df7hwC5MJzv34GSl3X
 RZXKJ3iCWdfAZhkMwEbfqIEvC/npl9pDYkMo/91p+VcNCBSbMBzq7MwEN72R1xasxroM
 oaCtVkgmlQ7zhZ10myd2FmpOfkF1OJMY4TwtfEONolrKQfueWIcQ+yMV+zF7RifUH5nd
 w2/vZJNkNNRLOUJkUpkLk1evr6n79MHYIPtQNpahNaSHuxBfMUQq91dxuGdqd8D+sQjz
 00Og==
X-Gm-Message-State: AOAM533zrXPrdJ1XDNMXRpBu7UFdoc2JqZNPDY4WTUnKCS9L+LTUl87x
 leRbRb+9mF0BchJH+2WJrmdyImSvYug=
X-Google-Smtp-Source: ABdhPJzI8YJof4A/ZTEeAoPWQhP42zJmn324hM4a37W47dDD/G1wzFbBRZ3m/WyzB79Wl0U4RvZ6Ew==
X-Received: by 2002:adf:b355:: with SMTP id k21mr5642241wrd.156.1615909518377; 
 Tue, 16 Mar 2021 08:45:18 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id u4sm23925057wrm.24.2021.03.16.08.45.17
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 16 Mar 2021 08:45:17 -0700 (PDT)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: Eli Zaretskii <eliz@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <83r1kfeptr.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e7ad3ea3-5d26-64e7-ca06-f161791e2049@HIDDEN>
Date: Tue, 16 Mar 2021 17:45:16 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <83r1kfeptr.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, stefan@HIDDEN, rms@HIDDEN,
 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 16.03.2021 05:32, Eli Zaretskii wrote:
>> Cc: laszlomail@HIDDEN, 46926 <at> debbugs.gnu.org, larsi@HIDDEN,
>>   stefan@HIDDEN, rms@HIDDEN
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Tue, 16 Mar 2021 01:20:27 +0200
>>
>> On 15.03.2021 19:51, Eli Zaretskii wrote:
>>>>>> Until the project has such an expert consultant, wouldn't asking the
>>>>>> emacs community be a better way to decide such issues? E.g. running
>>>>>> a vote on /r/emacs.
>>>>> No, because offering an opt-in behavior is a better way of letting
>>>>> users to try the feature.
>>>> Perhaps these two actions can be combined?
>>> How would you propose to combine them?
>>
>> We add the option, announce it, and in 2-4 weeks ask people for their
>> opinion based on their experience with the changed UI.
> 
> I don't see how this is different from offering an opt-in behavior, so
> I'm okay with this.

Simply saying "let's make it opt-in" closes the door on the discussion 
of the subsequent change of the default, which is often what reporters 
care about in discussions like this.

But if we say "let's make it opt-in then discuss the change later", that 
has a higher chance of making both sides happier. And helps us gather 
feedback backed by some usage experience.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 15:41:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 11:41:24 2021
Received: from localhost ([127.0.0.1]:40775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMBou-0001z3-61
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 11:41:24 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:35220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lMBot-0001yq-78
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 11:41:19 -0400
Received: by mail-wr1-f45.google.com with SMTP id l12so10717325wry.2
 for <46926 <at> debbugs.gnu.org>; Tue, 16 Mar 2021 08:41:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=dY7KjqmDFTq/WoY91kA7BS/yTQ/eRPa3pCjHkcaAl3o=;
 b=WwlRnBkPJ5zv6acLBs/+KVUKN6uchhcuO6AMim51+7iMPyKhlzm3mjrV5OaUVFoUDX
 fBwdtdvUBxNa/ipyz0AcX41BEu0zCrqqqV2ZfG/GfJvftj7wJqMUF+3STNx0beVlOwQM
 kXRTtnLXHzH5lT+5X9HbdzjgutJsJQ/ikmSbyZ3RhXGhWXQ6oJ/OixDFv46+ezlL9L4m
 kmlowi3K/r9gXTmZ5ytUAfZVF/1MFNZ6WQnGKK1SEQa+TT9S4mCuH9Muyah5K0O1fZgq
 vigCcGqM5RMi3yC2ORA5hLF8yoTAXB3v+uu7zbcVl96rEnDcKMFj7rW4/3nTu2BIvF5O
 LVaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=dY7KjqmDFTq/WoY91kA7BS/yTQ/eRPa3pCjHkcaAl3o=;
 b=GCyJS2eB/isO5mIRxDLhYqc59Hoysha/EQFX6iLIaiMqC891zyxZqTA9reyHhI/vbG
 W8QqGJBRzzlnJ68VCdgmT8ofk0x5TJOvC7vCNhCyrcpKUEbkVkXmYzI3+D0Z4P/eloik
 isO5BcVOyB8i6w4GqK4DHJEAbuRic9/LhUprisTTSaIfrWfMP4ze84Nwq8It/7C1K5tk
 uGIuKFnVVR1iXtHoK633mciIYJTnEh8F+cNnZsVLnaL62ghy8pZD8ibqG5ZoqXYfBihj
 1Equ9Xop8J4d+wmJZf2HG0V5sUnW3icoQ/nARLXma+X1IRgT2MxXYOeDTiP7E9yZymbF
 YjMQ==
X-Gm-Message-State: AOAM5312Wenj6QMzhoPmm5VFoioVEgFsiJobuK3+EirrVMGUOTyDbHZQ
 d2WT2Et8wqn0TN/0rA80VEc=
X-Google-Smtp-Source: ABdhPJyle+jYlKmsicy2cImW+zZ+5A2Oc4IHautQXW9HDaemKP+G53Oi7IJ7QvcmlvZ9FPMv6fWhEw==
X-Received: by 2002:adf:9c86:: with SMTP id d6mr5607542wre.306.1615909273368; 
 Tue, 16 Mar 2021 08:41:13 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id o188sm3555745wme.7.2021.03.16.08.41.11
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 16 Mar 2021 08:41:12 -0700 (PDT)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: Eli Zaretskii <eliz@HIDDEN>, Stefan Kangas <stefan@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e877ff8b-dc5d-7a5b-dc34-68bd81f5758a@HIDDEN>
Date: Tue, 16 Mar 2021 17:41:10 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <83pmzzepn7.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 16.03.2021 05:36, Eli Zaretskii wrote: >> From: Stefan
 Kangas >> Date: Mon,
 15 Mar 2021 21:37:00 -0500 >> Cc: laszlomail@HIDDEN, 
 46926 <at> debbugs.gnu.org, larsi@HIDDEN, >> rms@HIDDEN >> > [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.45 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.45 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org,
 rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 16.03.2021 05:36, Eli Zaretskii wrote:
>> From: Stefan Kangas <stefan@HIDDEN>
>> Date: Mon, 15 Mar 2021 21:37:00 -0500
>> Cc: laszlomail@HIDDEN, 46926 <at> debbugs.gnu.org, larsi@HIDDEN,
>> 	rms@HIDDEN
>>
>> Dmitry Gutov <dgutov@HIDDEN> writes:
>>
>>> We add the option, announce it, and in 2-4 weeks ask people for their
>>> opinion based on their experience with the changed UI.
>>
>> Sounds good to me.
>>
>> IOW, it would follow a similar procedure to the one we used for "M-o".
> 
> I hope not, because we are at an impasse there now.

The procedure would be a bit different, obviously.

But speaking of 'M-o', even if we end up reverting the change because we 
receive enough evidence of the change being problematic, that wouldn't 
characterize the approach as bad. It would just reach one of its 
possible conclusions, as any good scientific experiment should.

What could reflect on the approach poorly, is if, for example, we follow 
it, then keep the change because nobody brings up significant problems, 
and then, after Emacs 28 is released, we find out about some big 
breakage caused by the change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 13:28:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 09:28:39 2021
Received: from localhost ([127.0.0.1]:38519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM9kU-0006aE-M2
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:28:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lM9kT-0006a1-D1
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:28:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38513)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lM9kO-0002R6-2z; Tue, 16 Mar 2021 09:28:32 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4601
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lM9kM-00051c-Uk; Tue, 16 Mar 2021 09:28:31 -0400
Date: Tue, 16 Mar 2021 15:28:46 +0200
Message-Id: <83im5rdy7l.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <79df20bdf4e23c709781@HIDDEN> (message from Gregory
 Heytings on Tue, 16 Mar 2021 13:01:36 +0000)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols
 when displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
 <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
 <83o8fje0nd.fsf@HIDDEN> <79df20bdf4e23c709781@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Tue, 16 Mar 2021 13:01:36 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: 46926 <at> debbugs.gnu.org
> 
> > And if we gathered enough feedback, then why are we once again disputing 
> > whether "M-o M-o" is an important binding, and if so, where to move it?
> >
> 
> I don't see any dispute.
> 
> You (and two other people) mentioned that you want to keep the 
> functionality of "M-o M-o" in vanilla Emacs.
> 
> Stefan M explained that "M-o M-o" = font-lock-fontify-block does not work 
> well, and that he would like to deprecate it.
> 
> I proposed a font-lock-update command that would be bound on "C-x x f", 
> and said that while the "C-x x f" binding is less convenient than "M-o 
> M-o", this regression is (largely?) compensated by the fact that 
> font-lock-update works correctly, unlike font-lock-fontify-block. 
> Moreover, the font-lock-update command is also more general, as it can be 
> used to correctly toggle Font Lock mode, which M-x font-lock-mode can't 
> do.

That's the "dispute" I alluded to.  If the word "dispute" is
unfortunate here, I take it back, but the main point remains: the
issue is still under discussion, with new aspects being revealed and
discussed, so it doesn't sound like we gathered enough feedback to
allow us to make a decision, not yet anyway.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 13:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 09:01:41 2021
Received: from localhost ([127.0.0.1]:38459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM9KP-0005ve-Gf
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:01:41 -0400
Received: from heytings.org ([95.142.160.155]:57742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lM9KN-0005vW-Hq
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:01:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1615899697;
 bh=+Q8Ca7PDRdkdS6R/FpHTD/1ckcPm98GsRfntcH/oUNM=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=SYPpIH4sndLlnzwBMr/qzNUn1kIsZMnjcYyX1OW64TiG2o7q9347wGK84fJBelz0Z
 veGnRg1SofC7OthXevsiTyi8BT1JEuwNoT0MsVrE4/+YJLXMh5F/iCp8xwn44YdtWc
 gRRRuHFFL5vn0XFgr5EhgpGFHQtJQsyNEP2ZAq4hvGjUsCRShdiQ9cpC6K+466gToD
 RSG2dfhnAqujPEAz4UYgYn5zb99RBoJIxAaOZgZ7kSwOf7oTqesn2Wmq2m1FG8OuLn
 vHkA74M1bMiOEm0Up9eV5Hx1WVo68FwPRWQc6dvFEvthpotDwZ+pLaGgs8cNEYQDf/
 FKWTXlDrldXTg==
Date: Tue, 16 Mar 2021 13:01:36 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols
 when displaying docs
In-Reply-To: <83o8fje0nd.fsf@HIDDEN>
Message-ID: <79df20bdf4e23c709781@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
 <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
 <83o8fje0nd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> I hope not, because we are at an impasse there now.
>>
>> FWIW, I don't see any impasse.  The experiment was successfully carried 
>> out, and has allowed us to gather feedback on which to base a final 
>> decision.
>
> Maybe I'm missing something, but didn't Lars say a few days ago that 
> (almost) no feedback was received?
>

Yes, and this was the expected outcome of the experiment.  The experiment 
said: "If the removal of this key binding doesn't annoy too many people". 
So if (almost) no feedback is received, it means that it doesn't annoy to 
many people, IOW, that the experiment was successful, and that the key 
binding can be removed.

>
> And if we gathered enough feedback, then why are we once again disputing 
> whether "M-o M-o" is an important binding, and if so, where to move it?
>

I don't see any dispute.

You (and two other people) mentioned that you want to keep the 
functionality of "M-o M-o" in vanilla Emacs.

Stefan M explained that "M-o M-o" = font-lock-fontify-block does not work 
well, and that he would like to deprecate it.

I proposed a font-lock-update command that would be bound on "C-x x f", 
and said that while the "C-x x f" binding is less convenient than "M-o 
M-o", this regression is (largely?) compensated by the fact that 
font-lock-update works correctly, unlike font-lock-fontify-block. 
Moreover, the font-lock-update command is also more general, as it can be 
used to correctly toggle Font Lock mode, which M-x font-lock-mode can't 
do.

Nobody replied to that proposal (yet?).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 12:36:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 08:36:18 2021
Received: from localhost ([127.0.0.1]:38412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM8vm-0005Gx-BH
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 08:36:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lM8vk-0005GZ-64
 for 46926 <at> debbugs.gnu.org; Tue, 16 Mar 2021 08:36:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37774)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lM8ve-000446-1A; Tue, 16 Mar 2021 08:36:06 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1387
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lM8vQ-00039G-Qz; Tue, 16 Mar 2021 08:35:53 -0400
Date: Tue, 16 Mar 2021 14:36:06 +0200
Message-Id: <83o8fje0nd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
 (message from Stefan Kangas on Mon, 15 Mar 2021 22:51:47 -0500)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
 <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org,
 rms@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 15 Mar 2021 22:51:47 -0500
> Cc: dgutov@HIDDEN, laszlomail@HIDDEN, 46926 <at> debbugs.gnu.org, 
> 	larsi@HIDDEN, rms@HIDDEN
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I hope not, because we are at an impasse there now.
> 
> FWIW, I don't see any impasse.  The experiment was successfully carried out, and
> has allowed us to gather feedback on which to base a final decision.

Maybe I'm missing something, but didn't Lars say a few days ago that
(almost) no feedback was received?  And if we gathered enough
feedback, then why are we once again disputing whether "M-o M-o" is an
important binding, and if so, where to move it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 03:51:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 23:51:55 2021
Received: from localhost ([127.0.0.1]:37750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM0kN-0004FD-CK
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 23:51:55 -0400
Received: from mail-pj1-f47.google.com ([209.85.216.47]:40851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lM0kL-0004F0-Fi
 for 46926 <at> debbugs.gnu.org; Mon, 15 Mar 2021 23:51:53 -0400
Received: by mail-pj1-f47.google.com with SMTP id
 a22-20020a17090aa516b02900c1215e9b33so643594pjq.5
 for <46926 <at> debbugs.gnu.org>; Mon, 15 Mar 2021 20:51:53 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=2RCGBboZR5F2GlO5246G8uckFXEmjk0rMThpQubswNU=;
 b=GLgI4Jd0Av+jsayGvkiAdvT54tSg1MowzeVwz7Q52yT+npbjVXM3Vl/luwmdeY3/9X
 GThM3j5ZsNzK7Gf6coTRqezxBCdwfLtRii30UxfSN1K+4UprhtMD3nZkutGY/sNGOLl6
 6o/V+wIgu5VEhnUuS192oNmR0RanwUQ5aR6JbD6MWx82Q4xFhFMqWAkCc24ETS7L5Gd+
 W7SmpYR8iWaECstt+aEQjW8lJziWbN9RDhxQgkY9FaYhqXNrJpfgZJPXX8ZEhnZgkyUk
 UpS5pQpSrC9G59OyWlTl0VmI3i7raKS179gxdJ11XAoBxdL36PwFRN8STVuW3Np+BoSB
 sRpg==
X-Gm-Message-State: AOAM532VeGlCAKgV3etZ17GzaCyNvrKj0zWkNyK6OcgCYa+//1ThzCDR
 gdRMqm/tbH1GG9sxiPmwvRZckkWEmrjAjLhPsK8=
X-Google-Smtp-Source: ABdhPJxasuvIYX4LQNPXZYCRBwqVodmpiFBuFpjV0l4r7/rTipMxWCkFN6+OAqFLkVua1oATA7XBvTihq7a4kGwhPvU=
X-Received: by 2002:a17:90a:c249:: with SMTP id
 d9mr2636251pjx.104.1615866707666; 
 Mon, 15 Mar 2021 20:51:47 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 15 Mar 2021 22:51:47 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83pmzzepn7.fsf@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 <83pmzzepn7.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 15 Mar 2021 22:51:47 -0500
Message-ID: <CADwFkmkcuWGGKk-qCFH-PhHhD_rWHrAWNn4tePD7YBF6Na9d7Q@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org,
 rms@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> I hope not, because we are at an impasse there now.

FWIW, I don't see any impasse.  The experiment was successfully carried out, and
has allowed us to gather feedback on which to base a final decision.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 03:36:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 23:36:30 2021
Received: from localhost ([127.0.0.1]:37735 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM0VN-0003so-UJ
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 23:36:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lM0VM-0003sc-CW
 for 46926 <at> debbugs.gnu.org; Mon, 15 Mar 2021 23:36:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59165)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lM0VG-0005Ak-TY; Mon, 15 Mar 2021 23:36:18 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4116
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lM0Uw-000790-T6; Mon, 15 Mar 2021 23:36:05 -0400
Date: Tue, 16 Mar 2021 05:36:12 +0200
Message-Id: <83pmzzepn7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
 (message from Stefan Kangas on Mon, 15 Mar 2021 21:37:00 -0500)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
 <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org,
 rms@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 15 Mar 2021 21:37:00 -0500
> Cc: laszlomail@HIDDEN, 46926 <at> debbugs.gnu.org, larsi@HIDDEN, 
> 	rms@HIDDEN
> 
> Dmitry Gutov <dgutov@HIDDEN> writes:
> 
> > We add the option, announce it, and in 2-4 weeks ask people for their
> > opinion based on their experience with the changed UI.
> 
> Sounds good to me.
> 
> IOW, it would follow a similar procedure to the one we used for "M-o".

I hope not, because we are at an impasse there now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 03:32:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 23:32:28 2021
Received: from localhost ([127.0.0.1]:37728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM0RU-0003n0-JN
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 23:32:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lM0RS-0003mn-He
 for 46926 <at> debbugs.gnu.org; Mon, 15 Mar 2021 23:32:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59130)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lM0RI-0002lM-Vo; Mon, 15 Mar 2021 23:32:16 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3877
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lM0R8-0006e9-Rq; Mon, 15 Mar 2021 23:32:03 -0400
Date: Tue, 16 Mar 2021 05:32:16 +0200
Message-Id: <83r1kfeptr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN> (message from
 Dmitry Gutov on Tue, 16 Mar 2021 01:20:27 +0200)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, stefan@HIDDEN,
 46926 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Cc: laszlomail@HIDDEN, 46926 <at> debbugs.gnu.org, larsi@HIDDEN,
>  stefan@HIDDEN, rms@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Tue, 16 Mar 2021 01:20:27 +0200
> 
> On 15.03.2021 19:51, Eli Zaretskii wrote:
> >>>> Until the project has such an expert consultant, wouldn't asking the
> >>>> emacs community be a better way to decide such issues? E.g. running
> >>>> a vote on /r/emacs.
> >>> No, because offering an opt-in behavior is a better way of letting
> >>> users to try the feature.
> >> Perhaps these two actions can be combined?
> > How would you propose to combine them?
> 
> We add the option, announce it, and in 2-4 weeks ask people for their 
> opinion based on their experience with the changed UI.

I don't see how this is different from offering an opt-in behavior, so
I'm okay with this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 16 Mar 2021 02:37:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 22:37:13 2021
Received: from localhost ([127.0.0.1]:37679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLza3-0008P4-HK
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 22:37:13 -0400
Received: from mail-pl1-f175.google.com ([209.85.214.175]:42990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lLzZy-0008N2-SO
 for 46926 <at> debbugs.gnu.org; Mon, 15 Mar 2021 22:37:08 -0400
Received: by mail-pl1-f175.google.com with SMTP id e2so10984854pld.9
 for <46926 <at> debbugs.gnu.org>; Mon, 15 Mar 2021 19:37:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=U3buGz+wXXwGCMcnUuvwlbhoAKNvu56WecWf1N+3/Co=;
 b=RbQHlE51Y5AcJ3FyRAVPTO2M3kd5fiIjJU4MkrO44ijRbs3I1Y2xVn7Q0Vk/B9ZkEF
 2BMp6F0AKWDMriBR+63xfo53Jwvw7iIZfV3c3jZ4uWR5G4e1/75iPsQzr+pQ5MfUCDci
 YuvK7D7SdBvVy0sjBESOqNUDguSKYZnQeX2Aw0Uuaiat40N2RisJLYdoaGH1qJ9a2c00
 5V13zBQ7xyolIisplBR/ltPdXuLdCo53LI/IqgiI+8BMu5VKHxHzfG73cGhXkI7A6E37
 tO0uzQ9NSYbTdHlkjPd3CBlUFIKewV7KptI/0xVd+/0c3jVpFB867I7SJu7AtDcoUtks
 rz1Q==
X-Gm-Message-State: AOAM533TS0ZYTYfLFl5GRMLm1MT/6Z/lkH2rn5coIazhCWFG7qnL1d4U
 5DJcnSlMwzeFkKIW2SS0GVrUPKxSL2LX2v0WZ3U=
X-Google-Smtp-Source: ABdhPJymxP5ifgv1iJ46Czqpf2GtjtwkcIFogwQBxUt7GmGshxoAVxBmKff+LVnYq+brQWQzvek8itW3iXGgM625BDc=
X-Received: by 2002:a17:902:74cb:b029:e4:7a16:9925 with SMTP id
 f11-20020a17090274cbb02900e47a169925mr14843134plt.39.1615862220838; Mon, 15
 Mar 2021 19:37:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 15 Mar 2021 21:37:00 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN> <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
MIME-Version: 1.0
Date: Mon, 15 Mar 2021 21:37:00 -0500
Message-ID: <CADwFkmkX-TjDW5J1w9ZEXPqyBK64s5ozpiZz8Vs7H=yjF+pe_A@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: Dmitry Gutov <dgutov@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org,
 rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Dmitry Gutov <dgutov@HIDDEN> writes:

> We add the option, announce it, and in 2-4 weeks ask people for their
> opinion based on their experience with the changed UI.

Sounds good to me.

IOW, it would follow a similar procedure to the one we used for "M-o".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 15 Mar 2021 23:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 19:20:38 2021
Received: from localhost ([127.0.0.1]:37535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLwVq-0004Yi-1M
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 19:20:38 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:42587)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lLwVo-0004YT-Hb
 for 46926 <at> debbugs.gnu.org; Mon, 15 Mar 2021 19:20:36 -0400
Received: by mail-wm1-f50.google.com with SMTP id
 b2-20020a7bc2420000b029010be1081172so412857wmj.1
 for <46926 <at> debbugs.gnu.org>; Mon, 15 Mar 2021 16:20:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=pSbFtZvXY9gMxmSr69QHf9T1fqFsra4zUMOBOP6sVkA=;
 b=Sl4VRlxRlOdnV2Va0l/7Y6As0k5qohAz1pPxRZcCMmZflUcBUXuo/4TByInWIktFo8
 +ChW4jtS5FyQdZstc16SaWWSlQwQDNE9cx/0YAr76OaEx3Hjh1nD0Qqz4+tq445PeQG2
 5Y95HSYqHSqL1tHkUEJWTiJcFRU6afkHjDFHt7lD1tuEkkA8Wqpg856CRR8U6IsumWB5
 i9n+BpLeBwE8xdf4zTBwMaNial17eyQ80K1+0h94ULACn486/uKvOtXQJ20xzQqabl2p
 b1ep3CqOfcuWZu8KAU3+PxNBpgv2SRCIvbTpTc8A7LSZ80NkeXOahkNpCPt78AAZsPTd
 +tvw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=pSbFtZvXY9gMxmSr69QHf9T1fqFsra4zUMOBOP6sVkA=;
 b=YcJ4B7rDIcG8+Jc6uNea1i7EMGHipfOfTfnTLSq+FZxbZRxLg6MDlrELXj14PZwNEv
 Eh1urj9P8h5pTY9Pt8DPH8vKZi7ciM/QccBgSeJr9GBJBvD+aa0fW0FuNOvJQpiERs9V
 zy1x5hVDptSUX0lwRf2j5jJ2CahcmblbK+jCTU2uV20fGrRbN01QL3DDYldTKdZcxx/+
 9DeErYo3mimE+66BnBgfhKMIdw2z2gT6RMK9AF8/EUAZIYaK7lFvez6wH9A2tTsAyNYI
 aAktJJ6dOJupGRM+BnTEGr3NfqYVr0mA7CydayhRcajP3zU+X4QWQ+ORbVK5TkGvEFcG
 Oogw==
X-Gm-Message-State: AOAM533LXJznwKu3P45558ouZjgYEMhn6TX7HJY6nwlhmO8B5LncYaxH
 5lK+vM/8FSLcm6C1/vG/7wo=
X-Google-Smtp-Source: ABdhPJw4T3yodGs8dAhALzAB5S1dUAdpvEtbfbexOHNs1NnFR0AYFDrVamCvwBXPoTxazB4iLvNFfQ==
X-Received: by 2002:a1c:f406:: with SMTP id z6mr1894439wma.24.1615850430781;
 Mon, 15 Mar 2021 16:20:30 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id m17sm20477661wrx.92.2021.03.15.16.20.28
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 15 Mar 2021 16:20:29 -0700 (PDT)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: Eli Zaretskii <eliz@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
 <831rcgfgpd.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <401c0b82-a6b9-eb74-8de8-84fc956f8813@HIDDEN>
Date: Tue, 16 Mar 2021 01:20:27 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <831rcgfgpd.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, stefan@HIDDEN,
 46926 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 15.03.2021 19:51, Eli Zaretskii wrote:
>>>> Until the project has such an expert consultant, wouldn't asking the
>>>> emacs community be a better way to decide such issues? E.g. running
>>>> a vote on /r/emacs.
>>> No, because offering an opt-in behavior is a better way of letting
>>> users to try the feature.
>> Perhaps these two actions can be combined?
> How would you propose to combine them?

We add the option, announce it, and in 2-4 weeks ask people for their 
opinion based on their experience with the changed UI.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 15 Mar 2021 17:51:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 13:51:49 2021
Received: from localhost ([127.0.0.1]:36848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLrNd-0004FB-1x
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 13:51:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lLrNb-0004Ex-7h
 for 46926 <at> debbugs.gnu.org; Mon, 15 Mar 2021 13:51:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48058)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lLrNV-0003vG-3K; Mon, 15 Mar 2021 13:51:41 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4044
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lLrNM-0002of-Bf; Mon, 15 Mar 2021 13:51:32 -0400
Date: Mon, 15 Mar 2021 19:51:42 +0200
Message-Id: <831rcgfgpd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN> (message from
 Dmitry Gutov on Mon, 15 Mar 2021 19:28:34 +0200)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN> <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, stefan@HIDDEN,
 46926 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Cc: 46926 <at> debbugs.gnu.org, larsi@HIDDEN, stefan@HIDDEN, rms@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 15 Mar 2021 19:28:34 +0200
> 
> On 13.03.2021 19:08, Eli Zaretskii wrote:
> >> Until the project has such an expert consultant, wouldn't asking the
> >> emacs community be a better way to decide such issues? E.g. running
> >> a vote on /r/emacs.
> > No, because offering an opt-in behavior is a better way of letting
> > users to try the feature.
> 
> Perhaps these two actions can be combined?

How would you propose to combine them?

> We have had a UI professional chime in here now, BTW.

Good news.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 15 Mar 2021 17:28:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 13:28:44 2021
Received: from localhost ([127.0.0.1]:36817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLr1I-0001Yr-8X
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 13:28:44 -0400
Received: from mail-ej1-f44.google.com ([209.85.218.44]:43756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lLr1G-0001Ye-UP
 for 46926 <at> debbugs.gnu.org; Mon, 15 Mar 2021 13:28:43 -0400
Received: by mail-ej1-f44.google.com with SMTP id p8so67615666ejb.10
 for <46926 <at> debbugs.gnu.org>; Mon, 15 Mar 2021 10:28:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=c+RnzDgMjaPpFlxQlzO1gpBhF4PQjxS3nHZpWlTICmA=;
 b=HKYXIui20PqR188j9Nv7XLhlkh11Cs/x0hhNQvSzdLC7TFtuidC3foak64xFelk0WG
 uHFkfhLf0s1hQ8h34Vq1En8eNdb7qQzfS9rAwAJfkUUjWIki14B5mRZp2snnWbEVFOCQ
 QxCi+zMvHTON30B442fVHz6WBIjv1sJbkIWolJg60wdYVCmE6L/DItKH9PXOfkKUfgRv
 /mlQmx6zIt/qXTyAfanxDo1FCmqAJvJ2/LHgmw4SWbe9Q69Ii6C0xAF2B0+r0Sxk0L8u
 NVaP3F/thcTJK/f2z4QKENhQNL/iLrOpdKHJvy3xWicBJoYspfCLkghG6fS1pA6LHL+I
 hUhg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=c+RnzDgMjaPpFlxQlzO1gpBhF4PQjxS3nHZpWlTICmA=;
 b=ouWwXvEfBES4UHtO4BmdGfJX/IcnZ37ZBBBQXhzoplHLX69x/VV6wYVdfdhkjgB9Xa
 lLf4qeixbct+pH8pzpgBHSJMgm7qsHTctuut5cH7YfW3v552Pw6q4Uzb2Gw301akKXUK
 ZK2oRaQ9esULQf7rnESLpM0rYz4T2NA0MdFjVUt1x6brZFrTFg5tL8kNbO50mgySe5mO
 Wevwm6QTP8smNdNTt0BzaUOshaS6/hWwYbj1f0mltXOfcuIsIyEODboqAvEYb4mLdXmT
 zstPBP1uIfnz+ipNfKGlhOR8g90OdqLnuUmY8rNVDq/nNkvJJseZ2fSjRHywBAV6ksEO
 d5Sg==
X-Gm-Message-State: AOAM533US2oFOEdfLjTlh+kFqkRHRRGdfbwjbQlEUpYAOTiPqlKktTv0
 WxVw1MCViYZIdAFEijaKZB8=
X-Google-Smtp-Source: ABdhPJweVZo2PY0xoGiHJJt9OWSp6FUsBJiNV2IjsjT/+nbUb1R3MLd0MKDWIvpIYSMocV4+EGl/Cw==
X-Received: by 2002:a17:906:4e99:: with SMTP id
 v25mr25029402eju.532.1615829317139; 
 Mon, 15 Mar 2021 10:28:37 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id eo22sm7842062ejc.0.2021.03.15.10.28.35
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 15 Mar 2021 10:28:36 -0700 (PDT)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: Eli Zaretskii <eliz@HIDDEN>, scame <laszlomail@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 <838s6rhthh.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <6214567e-7e89-010d-5d0a-de0b69392625@HIDDEN>
Date: Mon, 15 Mar 2021 19:28:34 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <838s6rhthh.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46926
Cc: stefan@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 13.03.2021 19:08, Eli Zaretskii wrote:
>> Until the project has such an expert consultant, wouldn't asking the
>> emacs community be a better way to decide such issues? E.g. running
>> a vote on /r/emacs.
> No, because offering an opt-in behavior is a better way of letting
> users to try the feature.

Perhaps these two actions can be combined?

We have had a UI professional chime in here now, BTW.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 15 Mar 2021 00:58:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 14 20:58:27 2021
Received: from localhost ([127.0.0.1]:34539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLbYv-0000Q0-NR
	for submit <at> debbugs.gnu.org; Sun, 14 Mar 2021 20:58:27 -0400
Received: from forward101o.mail.yandex.net ([37.140.190.181]:60710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <a-p-petrosyan@HIDDEN>) id 1lLXT7-0001Vo-AW
 for 46926 <at> debbugs.gnu.org; Sun, 14 Mar 2021 16:36:11 -0400
Received: from forward102q.mail.yandex.net (forward102q.mail.yandex.net
 [IPv6:2a02:6b8:c0e:1ba:0:640:516:4e7d])
 by forward101o.mail.yandex.net (Yandex) with ESMTP id EC3043C00A77
 for <46926 <at> debbugs.gnu.org>; Sun, 14 Mar 2021 23:36:01 +0300 (MSK)
Received: from vla1-76c0d7cee0ec.qloud-c.yandex.net
 (vla1-76c0d7cee0ec.qloud-c.yandex.net
 [IPv6:2a02:6b8:c0d:d87:0:640:76c0:d7ce])
 by forward102q.mail.yandex.net (Yandex) with ESMTP id E7E743A20002
 for <46926 <at> debbugs.gnu.org>; Sun, 14 Mar 2021 23:36:01 +0300 (MSK)
Received: from vla5-047c0c0d12a6.qloud-c.yandex.net
 (vla5-047c0c0d12a6.qloud-c.yandex.net [2a02:6b8:c18:3484:0:640:47c:c0d])
 by vla1-76c0d7cee0ec.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 fmUx90WIn3-a1HuhISo; Sun, 14 Mar 2021 23:36:01 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1615754161; bh=X5heuINneVYfODF6yZI621qyB9XqtNbxaxljBO7hJtk=;
 h=To:Subject:From:Message-Id:Date;
 b=PlxFUSK7X0Yhlu3uV/+DfE3qxNbjGTaDR3Gh49R3h/RHl9mA5oU4Q6nqtK/eMuWvp
 507Ys3k4bSmjYcbXUXTfvfdefNasnF9ASuS3zghJYPbwieCLnPOvW7hveZr3Y794Qi
 D8m1NhNKeEdORxhp9GE6Go2W5CjnnJOh+rygV4i8=
Authentication-Results: vla1-76c0d7cee0ec.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.ru
Received: by vla5-047c0c0d12a6.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id ee2kxYV6Ny-a1n8LIK5; Sun, 14 Mar 2021 23:36:01 +0300
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (Client certificate not present)
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
From: Aleksandr Petrosyan <a-p-petrosyan@HIDDEN>
Mime-Version: 1.0 (1.0)
Date: Mon, 15 Mar 2021 00:36:00 +0400
Subject: Remove quotes from the highlighted symbols list
Message-Id: <FE945BD6-9BBB-4C57-890A-9D45081F8E40@HIDDEN>
To: 46926 <at> debbugs.gnu.org
X-Mailer: iPad Mail (18D52)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
X-Mailman-Approved-At: Sun, 14 Mar 2021 20:58:24 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear all,=20

UI designer from KDE/Qt/Maui.=20

I agree that there are orthogonal design decisions at play here: quotes indi=
cate that the object is a symbol. Then the link face indicates that it is al=
so something that can be expanded upon. However, the quotes, while useful fo=
r =E2=80=9Csomeone in the know=E2=80=9D, are distracting in text.=20

My preferred solution, would be to use a code face, specifically for symbols=
 and highlight the symbol such that it appears as every other symbol does in=
 emacs lisp. One can inherit the monospace font from GTK to distinguish from=
 documentation text. The link... it can be anything: it could be the documen=
tation for the symbol, or the file which it=E2=80=99s defined in. A user nee=
ds to know *exactly* what=E2=80=99s going to happen if they click, so if it=E2=
=80=99s going to visit e.g. Python.el, and not the documentation of what Pyt=
hon.el is part of, it=E2=80=99s better to say explicitly =E2=80=9Cvisit elis=
p file=E2=80=9D. A button can serve better, but emacs has... ugly buttons an=
d doesn=E2=80=99t use them very consistently, so a link is fine.=20


Sincerely=20
Aleksandr Petrosyan=





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 14 Mar 2021 06:02:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 14 01:02:34 2021
Received: from localhost ([127.0.0.1]:32821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLJpi-00065N-3H
	for submit <at> debbugs.gnu.org; Sun, 14 Mar 2021 01:02:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1lLJpg-00065B-FG
 for 46926 <at> debbugs.gnu.org; Sun, 14 Mar 2021 01:02:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48232)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1lLJpa-0001XE-Pc; Sun, 14 Mar 2021 01:02:26 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1lLJpY-0000Zc-Ln; Sun, 14 Mar 2021 01:02:24 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 (message from scame on Sat, 13 Mar 2021 06:08:31 +0000)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
Message-Id: <E1lLJpY-0000Zc-Ln@HIDDEN>
Date: Sun, 14 Mar 2021 01:02:24 -0500
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org, larsi@HIDDEN, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > The purpose of quotes in Texinfo output is to make semantic
  > > distinctions. In other words, to show what kind of role that text
  > > plays in the program being documented.

  > In the main body of the Help text only symbols are linked AFAIK. Is
  > that right?

  > So the quotes don't convey any extra meaning and the symbols are linked,
  > so they can be clicked to instantly see their documentation. The quotes
  > are just extra noise in the rendered output, breaking the visual flow of
  > the text unnecessarily.

Can you please tell me how I can look at an instance of what you mean?

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 18:28:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 13:28:13 2021
Received: from localhost ([127.0.0.1]:60652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lL8zl-0004Sx-I7
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 13:28:13 -0500
Received: from mail4.protonmail.ch ([185.70.40.27]:32817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lL8zj-0004Si-0T
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 13:28:11 -0500
Date: Sat, 13 Mar 2021 18:27:59 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615660084;
 bh=eXD8bwpUqXEf3xygZAz52PtKIGye+6EaMy3TxuTeORo=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Hap9Jhvk2eKC9VJwbvXx3QQFZiZn9MM7I4HBNf0wgMCekhdZ9URbN7/5CrchPiVQN
 DLWbnWwDCn56M38M6Vo7F+Z/oxctgz+yj3GwNm8vKYmo20bgnihZ8EDokZyY7W83sn
 oH+HeA+5Df0/BlE3c6Xi1juJAvTnmxESoLIRUS+Q=
To: Stefan Kangas <stefan@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <k2kkfVHRTybwdrmWjRIhtGHneUu6lHCVJcoCXaFwsPbx9xyz26otYVbKGmSqoLFEmzSYvxf3xUNRfuaPshU5UqUFyrgE707SnNCrZ4nYVZQ=@protonmail.com>
In-Reply-To: <CADwFkmmacFAt3PSYqR9aW43_LrugZq8_HiozAm1cGsESdiU+Ng@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <CADwFkmmacFAt3PSYqR9aW43_LrugZq8_HiozAm1cGsESdiU+Ng@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: "larsi@HIDDEN" <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "rms@HIDDEN" <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > a visual designer of Gnome to improve the default look.
>
> I agree that help from a graphical/UIX designer would be very good. But
> I don't know how to procure such help.

Someone with a reddit account can ask the emacs subreddit. I checked and
there are 50,000 readers there, so there is a good chance that at least
some of them work in the field of UI design.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 17:08:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 12:08:27 2021
Received: from localhost ([127.0.0.1]:60603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lL7kZ-0002bx-AX
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 12:08:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lL7kX-0002bl-SS
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 12:08:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37406)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lL7kR-00085v-Qz; Sat, 13 Mar 2021 12:08:20 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1716
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lL7kD-0007lm-2F; Sat, 13 Mar 2021 12:08:06 -0500
Date: Sat, 13 Mar 2021 19:08:10 +0200
Message-Id: <838s6rhthh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
 (message from scame on Sat, 13 Mar 2021 17:05:27 +0000)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
 <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: stefan@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Sat, 13 Mar 2021 17:05:27 +0000
> From: scame <laszlomail@HIDDEN>
> Cc: "rms@HIDDEN" <rms@HIDDEN>, "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "larsi@HIDDEN" <larsi@HIDDEN>, "stefan@HIDDEN" <stefan@HIDDEN>
> 
> Until the project has such an expert consultant, wouldn't asking the
> emacs community be a better way to decide such issues? E.g. running
> a vote on /r/emacs.

No, because offering an opt-in behavior is a better way of letting
users to try the feature.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 17:06:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 12:06:12 2021
Received: from localhost ([127.0.0.1]:60595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lL7iO-0002YX-F5
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 12:06:12 -0500
Received: from mail-pf1-f180.google.com ([209.85.210.180]:42392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lL7iM-0002YJ-Db
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 12:06:11 -0500
Received: by mail-pf1-f180.google.com with SMTP id e26so3951573pfd.9
 for <46926 <at> debbugs.gnu.org>; Sat, 13 Mar 2021 09:06:10 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=wGf3YIKg2z2ZpcrpVrRodLV0CCUDOvhCIqQUXPiGWCA=;
 b=uHgUNfKUQsrosZE33byMqzTxz+pzai4fbbd1ZIkBHL2Iqv6x2Z0KhzGs6/3ApMHiUH
 g6s6JZPvj7BrAU6j4Yto0hUFc6eE/fqiz0TvPOp7c+pmoos677tXyi46NMYJE5bLsCvI
 t5Stqi0aaD4YHtH50LdXXjSPRrnEpe3W/4sNaC2d2O+HtlSdJzmkt7yG3O6T2au5jJeK
 /jmcSfNZYowyPqdzuX7O1Ozs+pbFw8BMcV/l0by2ACKYXjNWyihSEPB3pP2Adfz5S6J3
 jgN6Bt2JBl9v4+DEaVN9oLJ0Gc9OznxDB32ihVETqFbnAnpOm2NDP5Ss94ImcRL+7gwe
 pr6g==
X-Gm-Message-State: AOAM532KjndmfzH4pmNG6gNcT7FAoNCRBQcIeZQoMpsd+/oGVH8IINA8
 PzKHoJu3T4P+4BESAMRXppKHkna8QzAnE0VMIW0=
X-Google-Smtp-Source: ABdhPJzK8c+LBvkrzY17wWZaUMx49FHpawJszMyVuOpMF8aIWhxDmnmC3qA+PENBoDrxvHdNni9LLpWtPBbrR26Pq94=
X-Received: by 2002:a63:6206:: with SMTP id w6mr16363200pgb.363.1615655164510; 
 Sat, 13 Mar 2021 09:06:04 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 13 Mar 2021 11:06:04 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
MIME-Version: 1.0
Date: Sat, 13 Mar 2021 11:06:04 -0600
Message-ID: <CADwFkmmacFAt3PSYqR9aW43_LrugZq8_HiozAm1cGsESdiU+Ng@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: scame <laszlomail@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46926
Cc: "larsi@HIDDEN" <larsi@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "rms@HIDDEN" <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

scame <laszlomail@HIDDEN> writes:

> Not at all. I mean it to be constructive the emacs project should invite
> a visual designer of Gnome to improve the default look.

I agree that help from a graphical/UIX designer would be very good.  But
I don't know how to procure such help.  It seems like Emacs has had this
need for the last 20 years or so, but someone has yet to step up.

> The default look is pretty ugly, no offense.

I don't think people are easily offended even by sharp criticism around
here.  But it is better to be more concrete, as it is hard to do
something about the rather abstract statement that Emacs is "ugly".

For example, the suggestion you made in this bug report is concrete and
actionable.  I invite you to make more such proposals that can help us
move forward in this area.

>> Does anyone else here think the compromise I proposed could have some
>> merit?
>
> If changing the default is refused then I agree a config
> option is a  good compromise, because then people can see its effect
> at everyday usage and they can judge its merits if they change the option.

Agreed.  I have explained previously why I think it would be better if
the option was on by default, but baby steps are still steps.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 17:05:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 12:05:47 2021
Received: from localhost ([127.0.0.1]:60591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lL7hz-0002XX-7Z
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 12:05:47 -0500
Received: from mail4.protonmail.ch ([185.70.40.27]:54781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lL7hx-0002XJ-RH
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 12:05:46 -0500
Date: Sat, 13 Mar 2021 17:05:27 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615655139;
 bh=n7Z9l01YgfjYWKjRCfSd/Yx1w9zu08adBgYgI5hZd4s=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=SG91dfojavIOhwwTTMs1bLjh5uHLUNo7xDbm811sIvtsTjwleBTjm+Cv15SEOg0v+
 Kr24qQYwPB4rGI8b7+fvqFKZywRKc62BPVkXCfRFQZmogV409VgdPe2h0zCOWqS7Rs
 34OmP5xcVbBvH9Byjup0QECyw8bFN+nrmXVW1+7E=
To: Eli Zaretskii <eliz@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <MTwFjie1v1-WLvdhjHg6086LpwCtKjUu7AwdeW9wNrwEv78q1Vqiy1kWyqiIfVOweyxhhclqFspnPdrMatP4jc99mq3pVKn6b1EXtuzjw4g=@protonmail.com>
In-Reply-To: <83ft0zhuyi.fsf@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 <83ft0zhuyi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: "stefan@HIDDEN" <stefan@HIDDEN>, "larsi@HIDDEN" <larsi@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "rms@HIDDEN" <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> If someone can reach out to them and ask them to be our HFI experts,
> that'd be welcome, I think.

RMS may have enough pull to do that. The expert doesn't need to follow
the emacs-devel list all the time, but if from time to time he can be
consulted on such issues, deciding between variants, etc. that itself
could be quite useful.

> For now we have to get by with what we have.

Until the project has such an expert consultant, wouldn't asking the
emacs community be a better way to decide such issues? E.g. running
a vote on /r/emacs.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 16:36:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 11:36:52 2021
Received: from localhost ([127.0.0.1]:60570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lL7Fz-0001qI-WC
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 11:36:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lL7Fy-0001q5-L4
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 11:36:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36582)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lL7Fs-0006U2-Vw; Sat, 13 Mar 2021 11:36:45 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3740
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lL7FO-00074J-92; Sat, 13 Mar 2021 11:36:25 -0500
Date: Sat, 13 Mar 2021 18:36:21 +0200
Message-Id: <83ft0zhuyi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
 (message from scame on Sat, 13 Mar 2021 16:24:22 +0000)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
 <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: stefan@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Sat, 13 Mar 2021 16:24:22 +0000
> From: scame <laszlomail@HIDDEN>
> Cc: "rms@HIDDEN" <rms@HIDDEN>, "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "larsi@HIDDEN" <larsi@HIDDEN>, "stefan@HIDDEN" <stefan@HIDDEN>
> 
> >
> > That sounds like "my way or the highway" to me. Not very
> > constructive, I'm afraid.
> 
> Not at all. I mean it to be constructive the emacs project should invite
> a visual designer of Gnome to improve the default look.

If someone can reach out to them and ask them to be our HFI experts,
that'd be welcome, I think.  For now we have to get by with what we
have.

> If changing the default is refused then I agree a config
> option is a  good compromise, because then people can see its effect
> at everyday usage and they can judge its merits if they change the option.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 16:24:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 11:24:37 2021
Received: from localhost ([127.0.0.1]:60539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lL748-0001Xa-RP
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 11:24:37 -0500
Received: from mail-40137.protonmail.ch ([185.70.40.137]:14084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lL746-0001XM-2a
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 11:24:36 -0500
Date: Sat, 13 Mar 2021 16:24:22 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615652667;
 bh=RSig6wS8NmJe7RL90TTW1As0YGwwYoo/ruMWtdFih/A=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=uABsTpMvRDFxNjfwlrCIiYrKB76/bn+n5ojVmJfaDvpF7n0DnXhE7/rLvUr93u9cr
 aGkejytWDoADKpyc90GzHOFV8ZzrfudFt4WUJkXENKvtdypTEGfp5aVGApdgP2aLNV
 6gnktP93/YcpOEZ8dSefSUbbMmRVyLxqrs+drtV4=
To: Eli Zaretskii <eliz@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <jF2RdnDa7D1xAeoWegpVTonIkgKM942iorhQWlmcokWZDuPgST1bSo73e3fpAHoyHYqeozNupbM25jqgRpkFMPIkuo3sRWHLTrCriK-nwKY=@protonmail.com>
In-Reply-To: <835z1vjvm4.fsf@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 <835z1vjvm4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: "stefan@HIDDEN" <stefan@HIDDEN>, "larsi@HIDDEN" <larsi@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "rms@HIDDEN" <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> That sounds like "my way or the highway" to me. Not very
> constructive, I'm afraid.

Not at all. I mean it to be constructive the emacs project should invite
a visual designer of Gnome to improve the default look.

The default look is pretty ugly, no offense. I know people did their
best to come up with something agreeable, but development and visual
design are to different areas for good reason. Good developers are
usually not good visual designers.


> Does anyone else here think the compromise I proposed could have some
> merit?

If changing the default is refused then I agree a config
option is a  good compromise, because then people can see its effect
at everyday usage and they can judge its merits if they change the option.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 08:39:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 03:39:29 2021
Received: from localhost ([127.0.0.1]:59070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKznz-0002Xp-VZ
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 03:39:29 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lKznx-0002Xd-T4
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 03:39:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59793)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lKznr-000886-Qg; Sat, 13 Mar 2021 03:39:19 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2327
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lKznh-0002Wx-IV; Sat, 13 Mar 2021 03:39:09 -0500
Date: Sat, 13 Mar 2021 10:39:15 +0200
Message-Id: <835z1vjvm4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
 (message from scame on Sat, 13 Mar 2021 07:51:11 +0000)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
 <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: stefan@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Sat, 13 Mar 2021 07:51:11 +0000
> From: scame <laszlomail@HIDDEN>
> Cc: "rms@HIDDEN" <rms@HIDDEN>, "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "larsi@HIDDEN" <larsi@HIDDEN>, "stefan@HIDDEN" <stefan@HIDDEN>
> 
> > Since the quotes are present in the original doc strings (and will
> > stay there, for sure), the implementation of your proposal would be to
> > remove them when we generate the "buttons" (a.k.a. "links") for them
> > in the Help buffer. So, if people feel that removing the quotes could
> > be desired by some users, how about making it optional, by default
> > off?
> 
> The aim of this bug to make the default epxerience cleaner.
> 
> In the first place it is not developers who should decide these things,
> but visual designers. E.g. I guess Gnome has some visual designers who
> create the Gnome look. They can be asked, but I'm pretty sure they
> will say the cleaner look is better for users.

That sounds like "my way or the highway" to me.  Not very
constructive, I'm afraid.

Does anyone else here think the compromise I proposed could have some
merit?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 07:51:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 02:51:31 2021
Received: from localhost ([127.0.0.1]:59021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKz3b-0001Mj-JA
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 02:51:31 -0500
Received: from mail-40135.protonmail.ch ([185.70.40.135]:38286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lKz3Z-0001MS-Du
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 02:51:29 -0500
Date: Sat, 13 Mar 2021 07:51:11 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615621882;
 bh=YVj7l1cFJ/Me6GWNd/zgkK3QSthiq9FLO2rI5+ZYAFo=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=uDdwLUTRHcUSwAxW7G+zbqf45imMl8rjJA6NxHevPkJK8f5S+EvTDfwl1WO4W8sxM
 O1nQQ24RgITaPx6ulJeSjFrhu12dku4T4/Lkw7VXp1k5ZHfVLNDrvhn/Z2FhfCs4VH
 EEmJLnWkEnVz3OPGiLC+94pKk2+gf6lErJzJOvmk=
To: Eli Zaretskii <eliz@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <JcBD1BA4Ay0n6ve6SGQf2pHTlOTmdlbIADFlEIYiyfD0HbGQcFCfYXrpH-6K5MORofeeglL3u2yWRIgfApcBAz_M6BoWc0p3eE2I0Uki_fE=@protonmail.com>
In-Reply-To: <83czw3jy72.fsf@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <83czw3jy72.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: "stefan@HIDDEN" <stefan@HIDDEN>, "larsi@HIDDEN" <larsi@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "rms@HIDDEN" <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> Since the quotes are present in the original doc strings (and will
> stay there, for sure), the implementation of your proposal would be to
> remove them when we generate the "buttons" (a.k.a. "links") for them
> in the Help buffer. So, if people feel that removing the quotes could
> be desired by some users, how about making it optional, by default
> off?

The aim of this bug to make the default epxerience cleaner.

In the first place it is not developers who should decide these things,
but visual designers. E.g. I guess Gnome has some visual designers who
create the Gnome look. They can be asked, but I'm pretty sure they
will say the cleaner look is better for users.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 07:44:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 02:44:51 2021
Received: from localhost ([127.0.0.1]:58989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKyx9-00019d-N7
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 02:44:51 -0500
Received: from mail-40141.protonmail.ch ([185.70.40.141]:62438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lKyx6-00019N-EO
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 02:44:50 -0500
Date: Sat, 13 Mar 2021 07:44:40 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615621481;
 bh=ciqlNrRrVabhT7ylwwrF4vyAzFggfAeMWiSFUE9DwpM=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Aubgozko5TUPnX+2uh0UflR7jhF9d4BG1yonOcEIPDeU7yEi1P9Am3zhJM1gG51fG
 O1R/zENUp6P6izPyzk2ltpmXMXj1ZvLhW13YudyxqRwTvQzeru7onEgC+xaMkQhwal
 NkJIP2PYBN248luvl/HOpYe0aapUN9miKvbXjkyA=
To: Stefan Kangas <stefan@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <n5ppgJj4J4ez9wqAayKj_AVt11NqOZalwN8noWke_lxixK98Tu9j_dMHxUDDXh-vNoQIAs6Q-MYVhgWPSyM7E7JfhVEeQB0_Tko-wgcSq9c=@protonmail.com>
In-Reply-To: <CADwFkmmX-za4d=89tgMEx=Y=uke4+VsTUxfm3+TJtSS15V0UXw@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 <CADwFkmmX-za4d=89tgMEx=Y=uke4+VsTUxfm3+TJtSS15V0UXw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: "larsi@HIDDEN" <larsi@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>, "rms@HIDDEN" <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> Richard is discussing Texinfo, but it seems like you are discussing
> `help-mode'. I would suggest not treating them as the same thing.
> There are some similarities, of course, but also important differences.


Yes, I'm discussing Help, because that is what this bug is about.

No one suggests removing the quotes from texinfo files. They should be
hidden by emacs when displaying help, because in 28 the symbols are linked
in Help buffers, so they stand out already and they can be clicked to get
immediate help about them.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 07:43:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 02:43:44 2021
Received: from localhost ([127.0.0.1]:58985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKyw4-00017Y-B9
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 02:43:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lKyw2-00017L-RX
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 02:43:43 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59394)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lKyvw-0000XL-89; Sat, 13 Mar 2021 02:43:37 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2893
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lKyvk-0006k3-Pl; Sat, 13 Mar 2021 02:43:25 -0500
Date: Sat, 13 Mar 2021 09:43:29 +0200
Message-Id: <83czw3jy72.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: stefan@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>,
>  "larsi@HIDDEN" <larsi@HIDDEN>, Stefan Kangas <stefan@HIDDEN>
> Date: Sat, 13 Mar 2021 06:08:31 +0000
> From:  scame via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> >
> > The purpose of quotes in Texinfo output is to make semantic
> > distinctions. In other words, to show what kind of role that text
> > plays in the program being documented.
> 
> In the main body of the Help text only symbols are linked AFAIK. Is
> that right?
> 
> So the quotes don't convey any extra meaning and the symbols are linked,
> so they can be clicked to instantly see their documentation. The quotes
> are just extra noise in the rendered output, breaking the visual flow of
> the text unnecessarily.

Help buffers are not directly related to Texinfo.  However, we had
already some complaints in the past about the differences between
those two, so I think it would make sense not to make them diverge any
further.

Your opinion that the quotes are visual noise is noted (you expressed
it several times already), but it doesn't mean we must accept it.

Since the quotes are present in the original doc strings (and will
stay there, for sure), the implementation of your proposal would be to
remove them when we generate the "buttons" (a.k.a. "links") for them
in the Help buffer.  So, if people feel that removing the quotes could
be desired by some users, how about making it optional, by default
off?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 07:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 02:02:56 2021
Received: from localhost ([127.0.0.1]:58937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKyIa-0006RM-5f
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 02:02:56 -0500
Received: from mail-pj1-f47.google.com ([209.85.216.47]:40803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lKyIY-0006R7-Ew
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 02:02:55 -0500
Received: by mail-pj1-f47.google.com with SMTP id
 a22-20020a17090aa516b02900c1215e9b33so11797760pjq.5
 for <46926 <at> debbugs.gnu.org>; Fri, 12 Mar 2021 23:02:54 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=uIMdGH4JVafOJurz2ICUvAFowvUBM3XhhCKm4m2CUqY=;
 b=VP0QdRBnUbfU70Nl1FHxfc/5LT55HmIInloq1h4yBjxyxbQ4eCtfBEr6iTo93IG7Hx
 CqeD7il3Jr2PWheKAbs2ZxZWqsvek9w2lu0HPmXBS8V9Pim9+iPt7NxTk1KNwhykw2IE
 RjM2vWQFB2JIHK7ITYHVGrIG8ZwlgvZdlrVkaT5zRz5qdzZMOl1xOC56WidLy4vng1DB
 +MOOka4i+5KxyNSZbCsKigG+mQW2kNZvUQDFxQTY52Our05ZY4b3oR5Q3HSPM9zcLPF5
 fh7TpGkUTvcqfJitjc7/QmiDHsRhHK0BCifrOb1+ZegmFyrX/b5svGTBxZ8f9qaZwnDS
 08oA==
X-Gm-Message-State: AOAM533iR6czVdRIb47llpSJ3gp8F5Ie20aX51w+5mj2tq333vq8v1C+
 XXlEhZzKNyicfKrd9fwTiSWrWKD7A4+tTrFWrOA=
X-Google-Smtp-Source: ABdhPJxn7g9dAbMM3NlBqFEWRxa3r5C632cBNS2apOADMW0/zkp6NaAqPMqChP8UayEVYVWs0unQ6GORQ4hc1FNj6IY=
X-Received: by 2002:a17:90a:f986:: with SMTP id
 cq6mr2237916pjb.175.1615618968592; 
 Fri, 12 Mar 2021 23:02:48 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 13 Mar 2021 01:02:48 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
 <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
MIME-Version: 1.0
Date: Sat, 13 Mar 2021 01:02:48 -0600
Message-ID: <CADwFkmmX-za4d=89tgMEx=Y=uke4+VsTUxfm3+TJtSS15V0UXw@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: scame <laszlomail@HIDDEN>, "rms@HIDDEN" <rms@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46926
Cc: "larsi@HIDDEN" <larsi@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

scame <laszlomail@HIDDEN> writes:

>> The purpose of quotes in Texinfo output is to make semantic
>> distinctions. In other words, to show what kind of role that text
>> plays in the program being documented.
>
> In the main body of the Help text only symbols are linked AFAIK.

Richard is discussing Texinfo, but it seems like you are discussing
`help-mode'.  I would suggest not treating them as the same thing.
There are some similarities, of course, but also important differences.

> Is that right?

Pretty much, but see `help-make-xrefs' for the full story.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 06:08:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 01:08:48 2021
Received: from localhost ([127.0.0.1]:58918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKxSC-0004t7-2Y
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 01:08:48 -0500
Received: from mail-40140.protonmail.ch ([185.70.40.140]:57417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lKxSA-0004st-DL
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 01:08:47 -0500
Date: Sat, 13 Mar 2021 06:08:31 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615615720;
 bh=zenOYQp0R0Dk8WwY1EuPmTTDA0J0reT4hOJE92I7W2s=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=nktTuBiEmh4J8PKxfqFCsbkoIvHXzEmy9DuSL364SxpYAHdPS/NpcoAz5y7uO9FJl
 BIjocodFQu49x2X7txuED2iApx79Lr0dw4oPlawlDn3XKf6ozwo76ZbW8WmoYY+hw0
 aS3TVbaYxG0o9r+Ooeua43deXg1Wa0tAJ0ZKNKz4=
To: "rms@HIDDEN" <rms@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <pzzWqk9uP1eKgl-08VIMD02hiA7SZMYD0EZ5EH10oWeq5JJ_sJKK69x43yhjMiuWdPRsnVegQqYCd9ZtPqNezbWMyCIV773uqlCHAHAmStg=@protonmail.com>
In-Reply-To: <E1lKxAq-0007A4-PS@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 <E1lKxAq-0007A4-PS@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>,
 "larsi@HIDDEN" <larsi@HIDDEN>, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> The purpose of quotes in Texinfo output is to make semantic
> distinctions. In other words, to show what kind of role that text
> plays in the program being documented.

In the main body of the Help text only symbols are linked AFAIK. Is
that right?

So the quotes don't convey any extra meaning and the symbols are linked,
so they can be clicked to instantly see their documentation. The quotes
are just extra noise in the rendered output, breaking the visual flow of
the text unnecessarily.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 13 Mar 2021 05:51:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 13 00:51:05 2021
Received: from localhost ([127.0.0.1]:58902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKxB3-0004OB-NZ
	for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 00:51:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1lKxAz-0004Ne-5j
 for 46926 <at> debbugs.gnu.org; Sat, 13 Mar 2021 00:51:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56066)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1lKxAt-00061L-7P; Sat, 13 Mar 2021 00:50:55 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1lKxAq-0007A4-PS; Sat, 13 Mar 2021 00:50:53 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
 (message from Stefan Kangas on Thu, 11 Mar 2021 19:38:18 -0600)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
 <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
Message-Id: <E1lKxAq-0007A4-PS@HIDDEN>
Date: Sat, 13 Mar 2021 00:50:52 -0500
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: laszlomail@HIDDEN, larsi@HIDDEN, 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > The point of `quotes' is to make these symbols stand out in comparison
  > to the surrounding text.

The purpose of quotes in Texinfo output is to make semantic
distinctions.  In other words, to show what kind of role that text
plays in the program being documented.

Texinfo has many constructs for semantic markup.  Some of these constructs
display quotes, in some output formats, to distinguish them from other
constructs.

Since those distinctions are important to help users understand the
documentation, changes in the design of these distinctions ought to
be made by Texinfo experts as part of the Texinfo package.  Please
don't change them elsewhere (for instance, in Emacs).


-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 12 Mar 2021 01:38:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 20:38:26 2021
Received: from localhost ([127.0.0.1]:55554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKWl0-0002RX-6x
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 20:38:26 -0500
Received: from mail-pl1-f180.google.com ([209.85.214.180]:46617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lKWky-0002R8-Cn
 for 46926 <at> debbugs.gnu.org; Thu, 11 Mar 2021 20:38:24 -0500
Received: by mail-pl1-f180.google.com with SMTP id a8so4635988plp.13
 for <46926 <at> debbugs.gnu.org>; Thu, 11 Mar 2021 17:38:24 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=D990Ex2pafMbMvlh+8kkjTjS3+BuPamI6nJNXIQVYnY=;
 b=Vq04/e/Taz1FmiDq/wa9uHc0bnk8Qi8HJB7KKDGR+kWZUkMRTWfgwbIpX1jZZlDslk
 IZ4Ok18+OXSGNYEM66KcEuHieWWF6VAZL5hq9qTt4xKsqQ0QG3KeANUi6vDo5Z8xSZx7
 UlqE2NSoaJyRyzFjzOKv38ejS3VGPmHLTMAbSKn8pAB2igaQmYNjs9fkilO4j1fCWfd2
 GBVsLBIU7xOABbMeP20kJSgpAdBGcONsWSsbQwTTEZYCK98dtTkEalJBHBbkXgvzVwsT
 yfrCNR5vojE/EIdQNZynHAoQgfkIRoRkK5m4O0kPf/6LWGMZBShGVVrnQj3hbBqfcxfu
 b70w==
X-Gm-Message-State: AOAM530HAiCPe4FfXIyQbfRLRhLfgcJIoIMsErERbPSf4CqYRgupIxLK
 GT/NJbPk7iAw4BKUIF1DU6pnJKOR4KGu2tnJ8YA=
X-Google-Smtp-Source: ABdhPJy7evF65Y8XrF5AVSHqJ3EN3BLE/sY0Ztr834MaMSN4nk3FCZZWbDKuTRS1KiGgN/scJXZYqbljaheSQCyk9Uo=
X-Received: by 2002:a17:902:b683:b029:e5:d0a4:c545 with SMTP id
 c3-20020a170902b683b02900e5d0a4c545mr11225158pls.41.1615513098756; Thu, 11
 Mar 2021 17:38:18 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 11 Mar 2021 19:38:18 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87eeguu0q0.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 04 Mar 2021 21:23:51 +0100")
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Thu, 11 Mar 2021 19:38:18 -0600
Message-ID: <CADwFkm=8ZEqSVW8VYEoV+pq8n3WRTxdyiWyZxB+F9u=at-XsMA@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46926
Cc: scame <laszlomail@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> I don't think I agree, but maybe someone else will have an opinion?
>
> I don't have an opinion here, really, but I think the example posted
> without the quotes looked nicer.

Yes, I must agree that it looks far better.

The point of `quotes' is to make these symbols stand out in comparison
to the surrounding text.  But the linking face we use is already very
aggressive: not just blue but also underlined.  So I think this is by
far already highlighted enough, which means the quotes are superfluous
and should be removed.

Speaking strictly about help-mode, I think removing them is therefore
just sound typography that will make it easier to read the help text.

> On the other hand, since we quote symbols like that all over Emacs,
> removing them just in info mode is perhaps not optimal.

I have no opinion about Info, as there we do not have any linking going
on.  IOW, the extra emphasis the `quotes' add is fine in that context.

About the only drawback I see to removing them from help is what you
say: that we lose some consistency as compared to the rest of Emacs.
IMO, this price is well worth paying to get cleaner help buffers.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 6 Mar 2021 05:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 06 00:11:10 2021
Received: from localhost ([127.0.0.1]:35876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIPDa-0001Dj-DM
	for submit <at> debbugs.gnu.org; Sat, 06 Mar 2021 00:11:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1lIPDX-0001DW-RR
 for 46926 <at> debbugs.gnu.org; Sat, 06 Mar 2021 00:11:09 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60753)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1lIPDS-00075R-AH; Sat, 06 Mar 2021 00:11:02 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1lIPDR-0000et-9U; Sat, 06 Mar 2021 00:11:01 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
Message-Id: <E1lIPDR-0000et-9U@HIDDEN>
Date: Sat, 06 Mar 2021 00:11:01 -0500
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Help windows and Info show quoted symbols linked/highlighted. The quotes
  > are added to denote the symbol in source docs, but when the symbol is
  > linked/highlighted then the symbol is already processed for display and
  > emphasised,  so there is  no need for displaying  the quotes.

Sometimes there is.
 
  > Unnecessary characters make the text harder to the read, so the quotes
  > should be hidden from display in docs.

You're proposing to achieve a minor benefit by risking confusion.
This is a bad sort of bet.

To be sure that no significant serious confusion would result would
require a careful study of all the sorts of situations that can occur.
In the absence of that, I say no.

In fact, I know of a situation that would become unclear: @code{FOO}
would become indistinguishable from @var{foo}.

Why would capital letters appear in @code{}?  For shell variables with
upper-case names.



-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 21:40:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 16:40:57 2021
Received: from localhost ([127.0.0.1]:60524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHviL-0000Mv-4j
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 16:40:57 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:46426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lHviI-0000Mf-Q0
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 16:40:55 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 124LY251016338;
 Thu, 4 Mar 2021 21:40:47 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 mime-version; s=corp-2020-01-29;
 bh=L52ADLankbKsYA/J+XzQBnl1LMGHMe2uW14DCHrC8Y4=;
 b=pu5yGzBa9FpiZlE+SpH4rhaxy+40nIXLgTXEQTGUgrx5b9rdCQb9rUM1sJWC7I+Yaz/9
 oxDR9XBds9rckBul2VapWwN0mDJlJAWCZ9EiAf7WXBlhuhXvan5CQRZyJP4i8j36Slfu
 YpKFs4PaRaPP4Y6+q6dSXdTTYEn4gQ7RsodJe6Qe0rhFKEeM7PSY6XAZq0/vW+uyjZvx
 Lez6k9aVIQKff8CHvUmlZJ1OzicY0W5EMhhEr5T1M1OpKAFBESWySjxHM6choV6Rblx7
 0ugx3GljIHdJPcLVBy+LDNdVo3c6UQOV7FI9vAXslBSWWelh48v+8tZf+ZrOF65KQRXw sw== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2130.oracle.com with ESMTP id 371hhc9yt5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 04 Mar 2021 21:40:47 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 124LZ7Fh156240;
 Thu, 4 Mar 2021 21:40:46 GMT
Received: from nam11-co1-obe.outbound.protection.outlook.com
 (mail-co1nam11lp2174.outbound.protection.outlook.com [104.47.56.174])
 by aserp3030.oracle.com with ESMTP id 36yynsed9f-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 04 Mar 2021 21:40:46 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=YTDKYOCyGLPNweojXS54f0nVfZo8t/KcGKBQaTs22OkLx7GV4dMmWLQQKWtl1gSs/mXp2fsFERSaavLpbxyqc5MRMKAnwFuds51JdNK1TQ+jGcg5jHX7srZ9UwSvGXScsQDKFLWvv9JPZjKIQ1GMYqUCTvvWBrFAtBolJhZnBhH5XVKGbUXKqIeY3O1m2JEZQ4YWxG+QZYQTI7Nu/S+6ACnd/6YzvOFgqpPZJWuoIRPGDyj9ctBGrt8Ybxo49WSVST7vTMAdkBR0vUC9VYUv+fpgDGumlYFaxjc3aatLAIOBE5gU8A0X5WlnbNOKLKhl7S5Tt/N7gUczlilAzIQRrA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=L52ADLankbKsYA/J+XzQBnl1LMGHMe2uW14DCHrC8Y4=;
 b=DyeceFf8WJ93Yz8WUpSaVcw7dKv6idrjG2Zu0Cg7YwPg1UTIWb5Rs9h0QP+z3OsxjlSd/2ltfvhPJRcswOrrqGZY9DMaw2lschynNufbXL3ubP39+v8kajsYYVfRqjJjOwVfu392en6+HagmW+g+9WMOB5MZNnlD7Y2d+J1bbqHtDHauqDd+0ga3JY+EEVnxPO+Suh76TnNDy3WupNAw54uddZiaSBuxH1jvVHIubFe2o1C1D3KXIf3xRQeuLgbe3pOcTbglD5ShLElsgaJwqevJbXDgNKr6a+OXyZ0awBKR9nT7XndFuLQ4U376K5Taz5u34nsgvxNQyTmUjtt3Zg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=L52ADLankbKsYA/J+XzQBnl1LMGHMe2uW14DCHrC8Y4=;
 b=WFe1t+/825b5nbz4KGTovKUJGUZqZle3dJ/KlQoux8anHyuUnb3/RroY3zYYPk6Ty6R9AyquO4tQSePXW6bPR76I76HnWGmHkJHzR/7M50oPMEfB4cI9yzgD/dqbr4Qrfg1yBGHc7wsPtdb9dEOqPS3qXw6gajgMJNI9dnX+WXw=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4569.namprd10.prod.outlook.com (2603:10b6:806:111::11)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3912.17; Thu, 4 Mar
 2021 21:40:44 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3912.022; Thu, 4 Mar 2021
 21:40:44 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#46926: Remove the quotes from highlighted/linked
 symbols when displaying docs
Thread-Topic: [External] : bug#46926: Remove the quotes from
 highlighted/linked symbols when displaying docs
Thread-Index: AQHXETZVCuAZ/viyX0GH0yw6CAO32ap0VoIQ
Date: Thu, 4 Mar 2021 21:40:44 +0000
Message-ID: <SA2PR10MB4474634B2C84A2A9DC8217E3F3979@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN> <87eeguu0q0.fsf@HIDDEN>
In-Reply-To: <87eeguu0q0.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 7933c7c3-bc43-4c7c-2d9f-08d8df562a82
x-ms-traffictypediagnostic: SA2PR10MB4569:
x-microsoft-antispam-prvs: <SA2PR10MB4569238C1AD1899E5DE67D49F3979@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: /25H8l4wLIZojBZ/UqMlkUm6zaOjtGzq3Ac9QqUhKzLNopOlE9XHqvkRzHN3xwHjf9bH2KnDkYOrhvT83Xuobt6WXeIVpTi6frsn2cBOQVXVj9arBG5grN+lmKWMUIjdgHVrAgg9UR2D4Tcuq6SPLPH1dpuGC31AaxFBwcDTXG2eqeAdyhOBWGPMWeMDZDDYyqP3lHS2v59pCpStwu3yyTD+auqO4C2C8CKEGuXC6SJkCABMuOnLqwyM0o50Gt4k1c3w3/Qr5PH/sVxLH9KH97JU2u4MvEgvB4YtoPWAlfkwhqBPoqb3FGBgIIam5m0HFdYmkjNLH2Y7VkM7hsde2rOwoxCbMGf9zM4eoPxT/7RIYMrqOhbvVGU3ECtIIABg2rJ3VzyBR6YnVeh4wwmQ3TdQXQfcwFsup3t59Bl7O5zTfkXwkzpe0DCrrX3UZ9JV4gC2b93Pcg2jzVWiOHKZ1VHD4D3IpoIvdMS8Ww52vgu6AAG3K8JiNlHeuGJlggE9aVOPNbL7vF3eqjXtjFI8zA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(136003)(39860400002)(346002)(366004)(396003)(186003)(9686003)(316002)(8676002)(4744005)(5660300002)(8936002)(66946007)(7696005)(4326008)(478600001)(2906002)(66476007)(66556008)(44832011)(86362001)(66574015)(99936003)(33656002)(66576008)(6506007)(55016002)(66446008)(71200400001)(64756008)(26005)(52536014)(76116006)(110136005)(54906003);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?tsAXaPDB7XU6VKvZ4b2EPHekhnrSfeqp4NDAuIWx1vM4rO2JP55IcbCxjgz4?=
 =?us-ascii?Q?qneZys7iE8Ly+aFCw1063FgGECe3w/pzHFRNJTFbWREBkFxyHPHACrAQVsR6?=
 =?us-ascii?Q?LU2G/oCTo7/1D54EEWAE/VOqeRqQQvsqS7Kb4vuuyPcb74POzgt62HKa6+BT?=
 =?us-ascii?Q?fEwhc49kax2krdGh/qlFYgrgz4McHQ4Y87zPJh+dhdyOMkR76lSiCi/ocGJb?=
 =?us-ascii?Q?b1QzI7qtNq2W6TWkZjLSwPdS9k5wrqHcXley4bT2JmxXFlLOBnirconmccva?=
 =?us-ascii?Q?7mdWgyks4/3Vm+Gy/EMMF4mOYOLwiaxx+J3yydQr1aTw+pLQDIy8HN253/6Y?=
 =?us-ascii?Q?Qk5RRWr6Iyu2oDWwnh4higAQkS6Ia3A82c8kRj5J9p4wnAy7rdDtvdiMQqQ8?=
 =?us-ascii?Q?6dPfz3pm3loFk9n+BxXGz4eaiedeeFKOqJkHQgU+kuCTi2lenadc31FkA/Ss?=
 =?us-ascii?Q?2tsP6k/lVirOsbgCqlyVU911DFd2AlwbokatUY5baL5+eCxpA1ECsGD27KmW?=
 =?us-ascii?Q?Hq0IsKeJH4jMdzpbOs/705OkIsoO8XMYdV76bxnMwubk8xo3438WnHb6Dj3E?=
 =?us-ascii?Q?ZxIdEu7SMwXr/Eb6KjUWukfNwMNPkXQPMTrcLFLSkf6IKHBksg/HqkQRxgWT?=
 =?us-ascii?Q?clsq62zRvHSFHlESOQRy8bDj7ZWz47vrHrr+pIFCHB9ABxoA3n4GA8s/46l4?=
 =?us-ascii?Q?MExLKxlWLU3yRzJSfU1M9K2mTPkGg6tFboftQyKqi9Znh3MFwr1/JrEkp6NV?=
 =?us-ascii?Q?OZMnY14T77aBxce2Se3CYA/fLOaVsTJGrxCMlaQzj3QUUIGOhUXnoY4JQ3a8?=
 =?us-ascii?Q?DtvzBvoQcya7+r0RTyslKkZ4885VSR5PvRT2p4wHLNT02t/dcWq9DW/ha7ck?=
 =?us-ascii?Q?OLpXtYMXfJnuoovi+imVZ6co+kQBnQSYgEBJMyqW9B0tLqYxWpHarV3Fckat?=
 =?us-ascii?Q?1klQRrERIoMyuQUUNijpYQH684CRZ8s1jAWkTX77omRvFcWSDzTaxw82rlsm?=
 =?us-ascii?Q?c2rvtKZaWxAEhtZ2x4B0xl+uu2liES1RU47hJum2v94GKyDtGWNOWiSAP190?=
 =?us-ascii?Q?Oyc8g7iJCy9FWeXh2pZDyrMPKnR3oV3mMNTCsepqjKqixqDr6N6LZE20lHwp?=
 =?us-ascii?Q?EFHhyChExuG/jEYRSzBgoKzfCBGrz36WyRiRVy1faLVrAwLjjcaTn2aWM5Tm?=
 =?us-ascii?Q?PuUIMWccQjjkosT5t5qYDwBnVlaEOgiX5eKqGTPb/Jp1MX73v2xexnq0w6ib?=
 =?us-ascii?Q?w9zd2YQ5A5tbwVKXnR7AUhKHMDDmfeSrRho17jP5uS7Ta3ysDeSIsEXrnKFt?=
 =?us-ascii?Q?JV0ZfMxbfs1Ygf7sH44o277m?=
x-ms-exchange-transport-forked: True
Content-Type: multipart/mixed;
 boundary="_003_SA2PR10MB4474634B2C84A2A9DC8217E3F3979SA2PR10MB4474namp_"
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 7933c7c3-bc43-4c7c-2d9f-08d8df562a82
X-MS-Exchange-CrossTenant-originalarrivaltime: 04 Mar 2021 21:40:44.5345 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Qv8EQlBgmh8qUoTsULfDnBkMdL9AhXqNuSgxxPti0o1oww6wK0lm4IaA11HWe+9S9v+YI3ERRnLKdCvs/gABbQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4569
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9913
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 mlxscore=0 spamscore=0
 bulkscore=0 suspectscore=0 mlxlogscore=940 phishscore=0 malwarescore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2103040106
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9913
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 clxscore=1015
 malwarescore=0
 mlxlogscore=999 spamscore=0 phishscore=0 lowpriorityscore=0
 impostorscore=0 mlxscore=0 suspectscore=0 bulkscore=0 adultscore=0
 priorityscore=1501 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2103040106
X-Debbugs-Envelope-To: 46926
Cc: scame <laszlomail@HIDDEN>,
 "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--_003_SA2PR10MB4474634B2C84A2A9DC8217E3F3979SA2PR10MB4474namp_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

> > I don't think I agree, but maybe someone else will have an opinion?
>=20
> I don't have an opinion here, really, but I think
> the example posted without the quotes looked nicer.

Nicer than what?

Did you compare with an equivalent screenshot with
the quotes present?  Don't be misled by the fact
that the font is different from (arguably "nicer"
than) the default Emacs font.

Compare with & without quotes using the same config,
same fonts.  Do you really think absence of quotes
looks nicer?  How much so?  With link highlighting
the quotes are nearly imperceptible, IMO.  (With no
highlighting they become even more important.)

And of course we don't quote (`...') non-sexps and
non-keys.  So the text of a link without quotes can
be ambiguous as to whether it provides sexp/key
info or is just some text with a link.

See attached, for apples-to-apples comparison.
Same font, same size, default fonts.

--_003_SA2PR10MB4474634B2C84A2A9DC8217E3F3979SA2PR10MB4474namp_
Content-Type: image/png; name="throw-bug-46926-quotes.png"
Content-Description: throw-bug-46926-quotes.png
Content-Disposition: attachment; filename="throw-bug-46926-quotes.png";
	size=41902; creation-date="Thu, 04 Mar 2021 21:30:17 GMT";
	modification-date="Thu, 04 Mar 2021 21:30:17 GMT"
Content-Transfer-Encoding: base64
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--_003_SA2PR10MB4474634B2C84A2A9DC8217E3F3979SA2PR10MB4474namp_
Content-Type: image/png; name="throw-bug-46926-no-quotes.png"
Content-Description: throw-bug-46926-no-quotes.png
Content-Disposition: attachment; filename="throw-bug-46926-no-quotes.png";
	size=41672; creation-date="Thu, 04 Mar 2021 21:29:44 GMT";
	modification-date="Thu, 04 Mar 2021 21:29:44 GMT"
Content-Transfer-Encoding: base64
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--_003_SA2PR10MB4474634B2C84A2A9DC8217E3F3979SA2PR10MB4474namp_--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 20:36:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 15:36:50 2021
Received: from localhost ([127.0.0.1]:60403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHuiH-00055d-UA
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 15:36:50 -0500
Received: from mail-40141.protonmail.ch ([185.70.40.141]:21115)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lHuiG-00055Q-JY
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 15:36:49 -0500
Date: Thu, 04 Mar 2021 20:36:39 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1614890201;
 bh=YcfN8PGDsfxMARElWANtzTUb0W6cZrM5c2weekdNPOI=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=DaVvZ0ESnp0GJkijzjGIFy3zLFEHdbmNsn2UpuDReRjBeNqMwf7VbtrDGIrP/FixJ
 6dlhKnJlWPaoULbkhMNu6NdrxrDfIrav3i3SwcX6MVfCYm8OqqJlfqQtBJ8v+S2VRV
 zIpdCO0z9bPYe5Z80F7PYi0U4sDSYtTRPShvLIJ4=
To: Drew Adams <drew.adams@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: RE: [External] : bug#46926: Remove the quotes from highlighted/linked
 symbols when displaying docs
Message-ID: <teYEw952OqgPGNNFFlZGKQFQdF4GvuZvKU6N5HrXyIdtb6VqQpT-X17uQJ0Dn_4wU8dGu4-xC3Z6jD2FiAPrchIZmuN5KzdXBWeQBhZUT2o=@protonmail.com>
In-Reply-To: <SA2PR10MB4474C2610943A1D38DECC8A4F3979@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <SA2PR10MB4474EA18CE784D20A20625FEF3979@HIDDEN>
 <VtBa_L5dysGUMbCBHf3MzSSRO1FolBYSjWsweMTBZQvUuH71x4LGyTp-4G_t2hodVGL1mPXfS0lDRUfFDWW45u2OnocapCcfooAxqxjFKcs=@protonmail.com>
 <SA2PR10MB4474C2610943A1D38DECC8A4F3979@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> As one user, I do sometimes search Help buffers.
> Consider `C-h m', with multiple minor modes on.
> `C-s' is a quick way to get around (as is `TAB').

Yes, but you don't usually search for `, do you? Because
in my experience it's trivial to find things in Help
without having to type a quote.

Anyway, there can be an option to display the quotes if one
likes that better.

>
> No improvement, IMO. No tidier, no more readable.
> But different people have different preferences.

Well, Lars in this thread thinks it's better, so it's not just me.

But naturally there should be an option for it if one prefers
the old look.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 20:32:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 15:32:13 2021
Received: from localhost ([127.0.0.1]:60390 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHudo-0004pA-NL
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 15:32:13 -0500
Received: from mail-40130.protonmail.ch ([185.70.40.130]:54046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lHudl-0004i1-NW
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 15:32:10 -0500
Date: Thu, 04 Mar 2021 20:31:55 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1614889923;
 bh=pFBuunjActL96v5em5rWsj9XBfmo0Ulbcm1AmL2pm7s=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=FW3AOvnzCc23EnKBhzlIh/oKdhXJA1qJIIF3OmIYIZx5w91PEazA1DtKsHAEuuIMh
 YpBECvQK79o4YkuU42No35r/7bVK5UfE7d1k4xxHqaFaDZrYwuym76pIPWQea5nirh
 Cn5FLwE7AphmICzkfy4t5swpRq+pjAE4QI7myqNA=
To: Eli Zaretskii <eliz@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <O5qxbVeHNlXvIsjMmlKYGrmHU6fqT2Fx6iIFTIvSdtCs9uaCwRJGoQmQf_a14haK5FXNLoxz9BwgPyJ6wt1kX2QmtDqoSfO8xrrSQfgxkOw=@protonmail.com>
In-Reply-To: <83y2f2zrz6.fsf@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



>
> We could discuss whether the face alone is enough in Info. My
> personal opinion is that it isn't enough: the face we use there
> doesn't guarantee any highlighting, because the user could customize
> the face to be anything but.

There can be an option to show quotes or not. If the user removes
the face's coloring, etc. then he can turn on displaying quotes.

Currently, the face has attributes by default, so the default experience
can benefit from the cleaner look without quotes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 20:24:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 15:24:06 2021
Received: from localhost ([127.0.0.1]:60372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHuVx-0002ft-Vh
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 15:24:06 -0500
Received: from quimby.gnus.org ([95.216.78.240]:53964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lHuVv-0002fL-SB
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 15:24:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=0i46C2epuPlnt+OemrUoBX4PBgu9RuY3+ms1NRCV9E4=; b=nufp8v/GxNaXXVM2UtWbFXMePQ
 XvYSyZEo4w1b6wKCzkPxntP2jg62MzpUcBUMwsry1pv+hAQ/qlheipDWoczYo+dcAZq7rFAhwDW4z
 JzxsUOUQt1El3P6qqz1HF5JfyLwVtJyqFkswwv6ZHFnLYPeg6xYb2zkSuCaiXQUhsJfM=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lHuVk-0006it-Nq; Thu, 04 Mar 2021 21:23:57 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols
 when displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN>
X-Now-Playing: Trevor Horn's _Trevor Horn Reimagines The Eighties_: "It's
 Different for Girls (feat. Steve Hogarth)"
Date: Thu, 04 Mar 2021 21:23:51 +0100
In-Reply-To: <83y2f2zrz6.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 04 Mar
 2021 20:36:13 +0200")
Message-ID: <87eeguu0q0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I don't think I agree,
 but maybe someone else will have an opinion? I don't have an opinion here,
 really, but I think the example posted without the quotes looked nicer. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: scame <laszlomail@HIDDEN>, 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I don't think I agree, but maybe someone else will have an opinion?

I don't have an opinion here, really, but I think the example posted
without the quotes looked nicer.

On the other hand, since we quote symbols like that all over Emacs,
removing them just in info mode is perhaps not optimal.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 19:26:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 14:26:51 2021
Received: from localhost ([127.0.0.1]:60272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHtcZ-0005Su-2N
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 14:26:51 -0500
Received: from aserp2120.oracle.com ([141.146.126.78]:50960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lHtcV-0005Sf-Tx
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 14:26:49 -0500
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 124JIcRB093173;
 Thu, 4 Mar 2021 19:26:41 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=UUBau4P1/l5eJHtWKYSpPrqzCh9W6kHxMlA3mqXkqVI=;
 b=hia23Um50k4ocAyC8M+zeFB7qjnALSjbEauaE0KeSRyoz0vhnF7T64z1ofwCNLJJzzv3
 2ot6BqWiCiRYluIkKqn3wOQuaZcHJzHfpaKLnH8tUDekL10Hrg+7luboMeunB7vM64yX
 r21HLxjSIXZ4ivTvPKtGmB8jBcrbj5hzf65ctshmq0jTlsAvkC3Vyt9aFDgj/dC/Qvhe
 pBhybwGliXQ+6wONsNwKZZE8dIJe2j1DdKAkeoi+/ttP73ciO30xZ33l4qelYAN/A/jw
 wHYz34coBfhvYsma0pRIipVezz5c9LloK7N5kszTdbdMiIxqg9DY/rKsd5l5MwNAPahi 1A== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2120.oracle.com with ESMTP id 3726v7dr77-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 04 Mar 2021 19:26:41 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 124JKiFw069030;
 Thu, 4 Mar 2021 19:26:40 GMT
Received: from nam02-dm3-obe.outbound.protection.outlook.com
 (mail-dm3nam07lp2045.outbound.protection.outlook.com [104.47.56.45])
 by userp3020.oracle.com with ESMTP id 36yyuv94cw-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 04 Mar 2021 19:26:40 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=gGpC99pwna7rpmFNUlKWJobnDW8dQIFzoiXYVOyHFGdbB7PM6Ef8E6dW9y48g4LrGvAOLe+FbOKP5UBUkEU90gzJCYLlwa2JDuoHm8gt4x5735ygIkI8lmhd3TOF8/1UFHiG1RkbUPo91o9n2GtaKst5lVVYOn0umXdlzXlAUEjxcBzUid+wf1qjUZyTWvGxSso4ZFZ/RS5NxV3TzbUEiWInwSqVBjkSoXuWwIWRia8p1gfOk8MgVw4RDmJBruBAHwJcaYgIf1NBMmq8L8XRZWO2rFMCuoE0YFvHKaoxZKpvP8qfOqPsU0mHsgutp1zL7xHzM76wh+RrQfLdlMGyLQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=UUBau4P1/l5eJHtWKYSpPrqzCh9W6kHxMlA3mqXkqVI=;
 b=HQD9TAdgS/VTNRJPzFHLeiFfv7rTvxhBnLm66K4ah3gnJy9j/Vh1/bhSP39HGY4lnz3kGGEZJ3+VdhFWDDA9qY7Ncxrm1NPXFuzO19gXvwWcAEYedktrHaJwnW82aQLiDZpNUBRXBca/cryYmxzA/yUfRyvYjOE5PEpXkiRnSNuKIaYGEVNdLariBUMAf90v5As0sh7DAHVnLfYg/n6hzXw2Xuto4DydEobBOWO8UFXSwYSPbZ0+mSb1zZ1I3mHu2If/e8Jw8+P/EXa/LOfZIRUpbX/NCqgbSaUY/ilivL2phUOzQ2ij9zyrndbDi3Dm3HH8u5hAfBp3vZ7RPTZV6A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=UUBau4P1/l5eJHtWKYSpPrqzCh9W6kHxMlA3mqXkqVI=;
 b=STNR/u/w5ET403S2rYy2trxD4R0xjkHEhj4GdL5Zdt4CE8Z/MQSZ3uScr8M+XQacc/2vPbJNX6dV9cuha8mCvIASobMG/J/egFI/Qm5PSbut0FpkzA3JfqcubWl+7+hhMptMTocM5YPMcyHp4b/NMUXuu9ii7ZiNpB3kkanGbUc=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4780.namprd10.prod.outlook.com (2603:10b6:806:118::5)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3912.17; Thu, 4 Mar
 2021 19:26:38 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3912.022; Thu, 4 Mar 2021
 19:26:38 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: scame <laszlomail@HIDDEN>
Subject: RE: [External] : bug#46926: Remove the quotes from highlighted/linked
 symbols when displaying docs
Thread-Topic: [External] : bug#46926: Remove the quotes from
 highlighted/linked symbols when displaying docs
Thread-Index: AQHXESXXFVNf5CsXyESZdjhvtVd4QKp0MUKg
Date: Thu, 4 Mar 2021 19:26:38 +0000
Message-ID: <SA2PR10MB4474C2610943A1D38DECC8A4F3979@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <SA2PR10MB4474EA18CE784D20A20625FEF3979@HIDDEN>
 <VtBa_L5dysGUMbCBHf3MzSSRO1FolBYSjWsweMTBZQvUuH71x4LGyTp-4G_t2hodVGL1mPXfS0lDRUfFDWW45u2OnocapCcfooAxqxjFKcs=@protonmail.com>
In-Reply-To: <VtBa_L5dysGUMbCBHf3MzSSRO1FolBYSjWsweMTBZQvUuH71x4LGyTp-4G_t2hodVGL1mPXfS0lDRUfFDWW45u2OnocapCcfooAxqxjFKcs=@protonmail.com>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: protonmail.com; dkim=none (message not signed)
 header.d=none;protonmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 2de7a210-06e2-41fb-10d0-08d8df436edf
x-ms-traffictypediagnostic: SA2PR10MB4780:
x-microsoft-antispam-prvs: <SA2PR10MB47809270573CCFA56E570FDBF3979@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7219;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: DU7tuNi3VGX13Eh+A7+06qjFhrMyb4pOpL6lmfNM+BKr9ZOjlP/FtEYRm5XAxGv7UGaygVQ/e4+CtHqm+TMkJVxFL/5egW2NCCwcwk3y2boK8mTI+oqY2OMgGHKx04hLoumNEYTj3RyfSOJn/I62ZqCn4JvdBEK21opR1ztJ4A/SpGDCF9w1Hnj312EAyNzzTS/iyJFyCm8CV3uoOyEjp7y+pGkgFtxqbtWiW81ydLFntglXouNDPZnH3K5BoOltu45ZJLg2DzfQLS7yG3A+iyJkiF9M5RFw4zzoNZycaebpa2fARMAtuiJAMItGGukEN2JCX/5OcZj5z1P2brnRh6DMxzNud+nDXd0EBSBx3pmfONAuui6IE0AJvIwgWZqXPMDiFvQTry7+cGIpbI5mCIeL5JWrVq0SjGgvYfwNcDWAj5ZQKWU0/HrNy/ZPFhCNtKx0kAIEjvPZcLd68SoRR9jzyb12dBTeHZLY3pq6zqn8snu0UrupeGdcXujwV++8wXqImR/WkvCH1UyQwMQZAKAyuGbBeJgetGRg64T/6/KYbaJS6TWAiMIdotl4VjwjwpAYFg4vkpcCsrg6zSyvRzW8sH8TWod3rmZwPg40rjF+RcS+a0ZVRkZG8/qECurzcsvlV4pyAaK8gEl8bpyblg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(136003)(39860400002)(366004)(346002)(396003)(26005)(186003)(2906002)(33656002)(83380400001)(7696005)(52536014)(55016002)(5660300002)(9686003)(8936002)(86362001)(4326008)(66556008)(76116006)(66446008)(6506007)(6916009)(64756008)(66946007)(8676002)(478600001)(316002)(966005)(71200400001)(44832011)(66476007)(15519875007);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?N21va1V6am5FcUNCQVRhRWZ1UEhRVUozd0RvNXpLa2xKbzYxNXFzWUd3Qjd4?=
 =?utf-8?B?dFdSUk55cFlBQXIxRWVHd3ozOGVtZG9zSlZFY3lMZHFUSjJzcW1UUmVLYWw2?=
 =?utf-8?B?TjJjRVUxM3dNOEcvcTZJOG9BVG1janM3UmhQNVo3cGw2WVdCc0pZNU0zNXJE?=
 =?utf-8?B?M0hRZDJIL1Q5czNjamlhZlRHTk14eGZZMHZURmt2amRrQnBuZ215emZNTzRv?=
 =?utf-8?B?dUxjN2RQeXQrQitzMGE3SmwzTENTSWlyekNJNkJPWEVRR1l1S0FwMUtrdkVT?=
 =?utf-8?B?d01LdFRsUURFanljbkNsWkxnNVBOUTRBcVlqcUNGMFdjT09samQyWG1iaHo3?=
 =?utf-8?B?UTliazdSV3hwVTh0OWFNRHNvTTl4L1I1MXp2bk0vazlLWHlRck9JVkxiRmJC?=
 =?utf-8?B?Mkwrb1JUbnVZRDhFMzNZS0RrQmliM2lseW50c1FRNUdOSS9FMisyMXhhUENn?=
 =?utf-8?B?U05hTEtTQ3g5eDRsUlRmR1V4RkVOU3cvRjliemN3WGc4MU91RG8vR3NEUmg3?=
 =?utf-8?B?eHBicjQrZjJrWDh1N1hYYjRDM3UxeTZUeURRQkQ3YXlnTWRCODFIZ00vbmlV?=
 =?utf-8?B?ajhQTHhvVk83MWJmMU8rV3RsVGRXd25YS0txaFNMVCtxUjFFcmpiNFMxWEtT?=
 =?utf-8?B?MnJ3eDJpUTlvS2o1bVE1aEJaTmEwZVU4YXBUVllSNVhwU21KNVZxTlBDTjNi?=
 =?utf-8?B?Tmg1cVhXRVJURnlVSit0dnFrTkxBckMwSmVDN2FyOUo1VWxBWjhQbnl2bXZ1?=
 =?utf-8?B?ZFdZMUNscXlralhGMEhTWE4zeVZsU0hoQ3YrakdPUDZ1ZXQyK1Z1cTZYcnhD?=
 =?utf-8?B?TTRYS2VGYVo4ZEo0QjRoUDJndndLaWVPZXBnZE9xaHFhSjI0ZWFURndwRkll?=
 =?utf-8?B?SmM5bDdGYXdOOVduNm9CNXFqMHlZNk1LbHZvamJuemZvaS9ybEFJK0MzcHRw?=
 =?utf-8?B?aDVsUGoxSlk0eFVMMTduS2ZQZ1RaRW9yRlpLTGp3Z2p6dTU1d21JZ29XeXlw?=
 =?utf-8?B?YXhHby82Y3gxUDkwN3l0Wk1PRU9yQVM3dmo4VDN5SklLaUZhZzVCWnlNTGVp?=
 =?utf-8?B?VU1PbXNCWDU5SE5MTHdWcEhPVVdZTUFqakF4VVpZL3VkenpiZEFBZkFsYnVX?=
 =?utf-8?B?UTAwckoxVWFZd3l2MkR5NkVPMkxnZGV0WnVSczVLdXFDVThzSGQyWVhlNTZG?=
 =?utf-8?B?MWxheFR3OEpMaFdQSXpISVp1SzkwK0dseUx6eVVsU0orU0ZaZE5QUWtYN0hV?=
 =?utf-8?B?Y1RhSzFoL05xY2pUTDByU2RaZGtSODIxaW5BMmNQTW8vL3d1YklQdWFkOEVh?=
 =?utf-8?B?TU5wS25zNUhSb1ZJRTBHMmdkRmYyQWN5dDk4eG51UEdhblFZc2RPUEtXa2Fn?=
 =?utf-8?B?WWcwRnhqcW8wVFM0TmRvNkp0aTRXSWIrKzhkTDIzcCtSTmp4MXpQL2djVnRi?=
 =?utf-8?B?bjVRVFdMMThmRVljaWhMclMwUE5oeGNGSng1S1Bjck85Zi9SY0Z1VnpJL3Jl?=
 =?utf-8?B?clFJb25UcVY0Q3ZnTGhlbTd0QzlIbGxWU1lQdXg0TGtZMURIenBpaTF3VjBV?=
 =?utf-8?B?UFJLVDRibWkySjloeWNZcXdZUDMrZVVtelljQVMyeC9mVEZTV3gyN2dnTVZN?=
 =?utf-8?B?cXhlWDIrOG9xVGxsTVFaV21zMC9rNDRrNHE0RGJpb3hrMlNVdFcvUFFoc3dK?=
 =?utf-8?B?cXJiSzRlOUE0Zyt4MHdrQWZzNndXT1BFWkR5aVNyREF4QkRlby9FQ2RCeC9Z?=
 =?utf-8?Q?EHAhtCxgRp+U7kWG0PkFctOYEMWqp6PnYVjQwvo?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 2de7a210-06e2-41fb-10d0-08d8df436edf
X-MS-Exchange-CrossTenant-originalarrivaltime: 04 Mar 2021 19:26:38.7825 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: D0197BuV+W2VwzC9dfkKlE//xczu/cu8oOMrfaRrt8b01+9DBN6xVORb7OFgMqxGitjFdhkYBPN5RGVWzbfIfQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4780
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9913
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 spamscore=0 suspectscore=0
 mlxlogscore=738 bulkscore=0 adultscore=0 phishscore=0 malwarescore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2103040092
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9913
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 impostorscore=0
 phishscore=0 mlxscore=0
 suspectscore=0 adultscore=0 malwarescore=0 priorityscore=1501 bulkscore=0
 lowpriorityscore=0 spamscore=0 mlxlogscore=999 clxscore=1015
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2103040092
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiA+IDIuICBVc2VycyBuZWVkIHRvIGJlIGFibGUgdG8gc2VhcmNoIGZvciBzdWNoIHRoaW5ncywg
YW5kDQo+ID4gICAgIG9uZSB3YXkgdG8gZG8gdGhhdCBpcyB0byBpbmNsdWRlIHRoZSBxdW90ZXMs
IHdoZXRoZXINCj4gPiAgICAgd2l0aCBhIHJlZ2V4cCBvciBhIHBsYWluLXRleHQgcGF0dGVybi4N
Cj4gDQo+IElmIHdlIGNvbnNpZGVyIEhlbHAgYnVmZmVycyB0aGV5IHVzdWFsbHkgbm90IHRoYXQg
bGFyZ2UNCj4gdGhhdCB5b3UgaGF2ZSB0byBzZWFyY2ggZm9yIHN5bWJvbHMgaW4gdGhlbS4NCg0K
QXMgb25lIHVzZXIsIEkgZG8gc29tZXRpbWVzIHNlYXJjaCAqSGVscCogYnVmZmVycy4NCkNvbnNp
ZGVyIGBDLWggbScsIHdpdGggbXVsdGlwbGUgbWlub3IgbW9kZXMgb24uDQpgQy1zJyBpcyBhIHF1
aWNrIHdheSB0byBnZXQgYXJvdW5kIChhcyBpcyBgVEFCJykuDQoNCj4gQ2hlY2sgb3V0IHRoaXMg
SGVscCB3aW5kb3cuIEl0IGlzIG1vcmUgdGlkeSBhbmQgcmVhZGFibGUNCj4gd2l0aG91dCB0aGUg
dW5uZWNlc3NhcnkgcXVvdGVzOg0KPiANCj4gaHR0cHM6Ly91cmxkZWZlbnNlLmNvbS92My9fX2h0
dHBzOi8vaS5pbWd1ci5jb20veGlIdjhsci5wbmdfXzshIUdxaXZQVmENCj4gN0JyaW8hS0FmcTRW
WURfZXdlbnBDc1ZDUTNSMUtnQXEtRkhrQkJUdzJTeUJVTnZ1R051cXVNRVQzc25mdVgzNmR0QTVm
QiQNCg0KTm8gaW1wcm92ZW1lbnQsIElNTy4gIE5vIHRpZGllciwgbm8gbW9yZSByZWFkYWJsZS4N
CkJ1dCBkaWZmZXJlbnQgcGVvcGxlIGhhdmUgZGlmZmVyZW50IHByZWZlcmVuY2VzLg0KDQpEb24n
dCBnZXQgbWUgd3JvbmcuICBJbiBzb21lIGNhc2VzIGl0IGNhbiBiZSB1c2VmdWwNCnRvIHJlcGxh
Y2UgdGhlIHVzZSBvZiBzb21lIGVudmVsb3BlIHdpdGgganVzdA0KaGlnaGxpZ2h0aW5nIChpbiBz
b21lIHdheSkgdGhlIGVudmVsb3BlZCB0ZXh0Lg0KDQpJIGRvIHRoYXQgd2l0aCBlbXBoYXNpemVk
IHRleHQgaW4gSW5mbywgZm9yIGV4YW1wbGUuDQpUaGF0IGlzLCB0ZXh0IHN1Y2ggYXMgX2ZvbyBi
YXJfLiAgQnV0IHRoYXQgY2hvaWNlIGlzDQpjb250cm9sbGVkIGJ5IGFuIG9wdGlvbiwgYEluZm8t
Zm9udGlmeS1lbXBoYXNpcy1mbGFnJy4NCg0KKEFsbCBzdWNoIHRoaW5ncyBuZWVkIHRvIGJlIG9w
dGlvbmFsLCBJTU8uKQ0KDQpJbiBzb21lIGNhc2VzIChlLmcuICIuLi4iKSBpdCBnZW5lcmFsbHkg
bWFrZXMgc2Vuc2UNCnRvIGhpZ2hsaWdodCBhbHNvIHRoZSBlbnZlbG9wZSBjaGFyLiAgSW4gb3Ro
ZXIgY2FzZXMNCihlLmcuIOKAmC4uLuKAmSwgYC4uLicsIDwuLi4+LCAnLi4uJyksIGl0IG1ha2Vz
IHNlbnNlIHRvDQpub3QgaGlnaGxpZ2h0IGl0IChpLmUuLCBoaWdobGlnaHQgb25seSB0aGUgdGV4
dCB0aGF0J3MNCmVudmVsb3BlZCkuDQoNCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 19:08:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 14:08:25 2021
Received: from localhost ([127.0.0.1]:60257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHtKi-00051d-Se
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 14:08:25 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:48332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lHtKg-00051R-O1
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 14:08:23 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 124J3okU163417;
 Thu, 4 Mar 2021 19:08:16 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=uiJ7LKkC1/YC9ipNiZ8SQnCWdMSdONaVw0iqPH+snYM=;
 b=G6cdJe5d8+RHeXYa4mVExvsRfcarhZVCP9nd3hJTrlWv94CgR4cfp/fJ7H4hi78cLxP7
 duNjYAsRkhk90g2YyTDw0htkiNjs0f24Cu2M9N2+kX6Pq/w4QeW+yO9efdHtb44Tdqyr
 RxzxX4M6gF1TZPgZhuZszUcHe1XKlHAanXLA7D/t5h9GWDXxM1dAxpWv4FYaw7Llttu6
 /E93OLWxD0UO03azSoq+P5TYrGePcyK73jwSUfECO12+ne0ZBwh/gaZNp8UFuaZgsDrC
 93vo3+iJWtRVEDGeGm2gA9jvGBESwtaKVnGI4KX72qxU5ocuuuwTJmdKQa5rqqBd6KMy UQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 371hhc9jp6-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 04 Mar 2021 19:08:16 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 124J4iia193303;
 Thu, 4 Mar 2021 19:08:16 GMT
Received: from nam10-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam10lp2100.outbound.protection.outlook.com [104.47.55.100])
 by userp3020.oracle.com with ESMTP id 36yyuv8e6w-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 04 Mar 2021 19:08:16 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=BpO8GYiwjcGDbSRhUVKixisz5FmIhOGmHmkhrix/Ve7unqy07Vqa6Q+Nd35CTTXFLMdwdBecJW0bxqSOQUGTh//C/kOm+vleKVPVvsHwlo9QdhAvm2pCQv4kwSkkHqfysSoyv7qiq2Otcxd1+sEsaf9Xxg+9IT7v6MgzQyj6w/au7es+6Ldwb+n0PrdLnMNR0YzcMc1H6lzNW1+uPGmv+AMHD22oT/j7kJgjEncb2YnMPbq7SMxx7L9cYBc68XWO/S8V5AeFAfSLiQCjIUgl/e7wi503+CqVEVm64msKyFJsFhxOLipQUmDuHpqhRjgLPGNPyNRecl1jnMb6VnhO2g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=uiJ7LKkC1/YC9ipNiZ8SQnCWdMSdONaVw0iqPH+snYM=;
 b=laqSh7zbqsuTI/9L37G+hjhzof3PjmE2WohvPSvt7og4PVQuGVW8gqiTMiNL6J1lf2LKx+ntUW+wq7W8VWhll8ZVyTA7KQEO5QC7MhNDZqq7xpRQ6D+TeiErPBRpbMbxNAQnVQ83KZC9SVUjSZAGL8tUysTG2DushYn8Yg9uQc3nrh8n3Ll2CAtkTxmDFAlQtaMjQ9633e4w+5AEcXVaMJh7YKZPyBPa2f9eJYi5LVJtD0oIPEo/vIqcDD4XR4BQv7W8ZQ+Sg1QaWjmOiWs6FAGZCRaPY4gbhZFRLPXd31fbEmxDLoeR0gLkrtRN8xfZeoRUjSFO4qX+tI259v+XOw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=uiJ7LKkC1/YC9ipNiZ8SQnCWdMSdONaVw0iqPH+snYM=;
 b=KFK8LUhT2GRke+mHy1NM7i4QVfv+iWkqsAbUvqQuaVg89xIBautyt31ViJ3ypc7b86BTQXcZIOkCkiSAAziahVkkvuuZmKBLfPgKrAnIcDnjxyhddgcbJ6rpde/PZuA+y62JZjXl+C3JEwigu/kaPUudRN3SGyzFqjE0QzZSbCE=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4780.namprd10.prod.outlook.com (2603:10b6:806:118::5)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3912.17; Thu, 4 Mar
 2021 19:08:14 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3912.022; Thu, 4 Mar 2021
 19:08:14 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, scame <laszlomail@HIDDEN>
Subject: RE: [External] : bug#46926: Remove the quotes from highlighted/linked
 symbols when displaying docs
Thread-Topic: [External] : bug#46926: Remove the quotes from
 highlighted/linked symbols when displaying docs
Thread-Index: AQHXESV5k4YFzhxb3Umz58cwiYMn7ap0MQFg
Date: Thu, 4 Mar 2021 19:08:14 +0000
Message-ID: <SA2PR10MB44749F0AA4293C0DE49829F5F3979@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 <83y2f2zrz6.fsf@HIDDEN>
In-Reply-To: <83y2f2zrz6.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: bf5c628f-d2a8-4c56-5320-08d8df40dc9a
x-ms-traffictypediagnostic: SA2PR10MB4780:
x-microsoft-antispam-prvs: <SA2PR10MB4780FECB8C55B5030AF410FEF3979@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:3631;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: UuZel6mOjZZXt3B3CK+rL7sClemdgCKRZE54KYIgYKcFwGkBIRLwFC5PJuIuZGucUlNQQzy/G6vUqAZ5aVMxJc8Q6WHFxlTQXdYr59FDXzMRUSH2a98z4qvN0AJ6DBT7JCRYlQ9vo3MAJm1H+MQdpLXugn+9vMlOUXtdL4vqH0hz2m7EQ4QyXJU5XmfmR7SVae5GKDjBUyzFtb+LiVAWAoICXY4+i045hHAbyCcTSDGDwuojKBj0apx/8gNzFl+CmJBAHvZbbN4DmSN8cqeZh25MYbOkfSl0gkBGUUlvFUJcyoUOYz+GqMbhcFGggQIDfLqRYWmIohFYBdSQSV70jiWtziO2uGJQGfg4g2POoYYxo7GXjxf/5aCoPlpwSwt2n2NabujeIVjbhsV/ZvzXbUFwq8FKPrT63TFsyqThjMJJkSlvO3WqMgmrDAc43ca21Lht+PImeQtyUkocmOz0+qIza0MIeFQ+OR6lfA4dD0EHsloH0SIcPwk/Fk6sjYOtc/kom/kOim1djOgJPHdqNA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(346002)(366004)(39860400002)(396003)(136003)(376002)(66946007)(478600001)(8676002)(66556008)(4326008)(64756008)(76116006)(66446008)(6506007)(44832011)(66476007)(316002)(71200400001)(33656002)(110136005)(26005)(2906002)(186003)(52536014)(55016002)(8936002)(86362001)(5660300002)(9686003)(4744005)(7696005);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?N01pYTl6bE5QS3VzVmtoOUQ5QmpENWkxL1llR1VzVUluVWtDdTRkTnVtVVVL?=
 =?utf-8?B?aWpzNjhSTU1EZ0h3enVZTlZCVW4rellhQnVuenI0QjB1TVdROThhb21YRDh1?=
 =?utf-8?B?RjBHZkhkby9Pc0IyR1lGaTFyMzAzTXM4L2VqQmo2Y0tkUmIrdWo4Y1JIeEgr?=
 =?utf-8?B?aEc0bkpVdFZURXJxcVR1RDlRSnZFdlpzTG8zbWY4eGNqcXpRQ3JiNkdJVE1V?=
 =?utf-8?B?aXI3Nkx6T1ZtcGRpdFNrd2Z4TU5IRDI3MTIrSDJLR2N2MWI2aXAvY0xiMjJw?=
 =?utf-8?B?LzhRbVF3c28xaGpvN1NyMCtBSDZidFZUYWI5aVI4djNtVzN1STY4WWpPTjk5?=
 =?utf-8?B?N3hvRGZpSTR3Z2V4VG5VVFlmWDBoYTBMUWM2ZVRYanJNcngvNGp3dzU0RGdy?=
 =?utf-8?B?MWVsK3hXTjZsS0VxMDBqakl4VGpPZnVyUmUrSk5taHlLd1krUE1ybFExK2xz?=
 =?utf-8?B?cDF4NnBLeC80ZlIwYW4vekdTTGJXSzRjUDRsaDhZSUVZSnpSYllJeFYxTjJG?=
 =?utf-8?B?NDRUaFdJL2ZPNEVrVWZ2UE9oVVYvV21uS3NudnlDbHpNYnJLOUxnOFE5WUVm?=
 =?utf-8?B?TDgwNXhnQUZtbm4vOTJPOXppaFQ3M1RuY1NSN2QyM2h2NFpHWFdjd1NCT0Jw?=
 =?utf-8?B?VDZpYzBsb01jLzJnS3VOaGRTMGNWSjUxZXV1WXdkWUdlVnlocUpWdUpaeVpa?=
 =?utf-8?B?Y0drUlVQRW5OdHdmQ0Z1di92OEVDSU9wZWVTWjNDSHBaNEtFekZkZnpOb0VR?=
 =?utf-8?B?MkF0NEphTktJTjZsOFovMzJTUVdxaWNIZ0ZrUkFYYi8yb1M5cmVSelZMcFAz?=
 =?utf-8?B?c1dVaFF0Z08vS0FLQmdkR3dkdVExcVJidjdUQUQ1QktXcUdnNHFLKzZBZFp0?=
 =?utf-8?B?d0FVTHl3RDVuYndaUlg3bG5sWDVhb3VkRkdkcVltZ3o4Smd4amE4VUhURXZ1?=
 =?utf-8?B?bGhrRGpjR1NUUFoyeEI1elBYUit1RUFoeC9QQWNYSEYxbitmY1Q2Tnh6dnFM?=
 =?utf-8?B?QzJyRUVpMlJUQVF0cWlnMjBQeUliRktUNGwxVGNzeWFtTE16TnZ1SFdtRjF3?=
 =?utf-8?B?L3hIVWkzMWxKSG0vNmdDN2Vlc2g4aVJGSzJOVmlBMEZhYVZwY0RZU0ZpMXls?=
 =?utf-8?B?V0JoQjZhN0c0VEZqNjBQQzNDY1hmc0s3MktFa2ZPYWdQWlVUV3VVVEFaQk85?=
 =?utf-8?B?bG4rVllZeEp4d09VUTdJakdmd2dzeWczdDZ6cnkwM2lUNDlZUVRpeU9zNTZv?=
 =?utf-8?B?Q3hpYWJsNFozajc4WUl5SVAzTW5PanlnbkxOdDhCRVBQSDltbVV0Y3lNakht?=
 =?utf-8?B?MFk4bDNNYTlhQnJ2U09hTjBDTlZKT1hzWEpBVHN2UWVFWE1SR1N2Nkd2MTUx?=
 =?utf-8?B?SUNleTlBdlhsaHVJb2dvbWp5N1JuZzJ6b2pMbGhGdXVSWTFpd3lyV0FRVndz?=
 =?utf-8?B?TjZMRGhZUnhpVHpTaEEyZGtPQzhXYlJRZ1o4azVtYk1Xdk9zUzZwNW92NFBG?=
 =?utf-8?B?NStzWnVCdDRZNTdvcTk5RkFqbWVtaGVIV0tHN0w3d0tmRjZmbXFYUFV4MTRK?=
 =?utf-8?B?NWJKNjlVVVBwblNGVFZsZ3VzbFplSmpKKzVNRkx1UkZCWDhDZUt5Y2M2RHdD?=
 =?utf-8?B?bWZJK1QxM0ZaR2c0RjJ2ZnAxTzhkTm96N2NYcFJGcG5uL1RyVE5EU1NubUMy?=
 =?utf-8?B?VjNmNndtTFhrakJmVU8vRzdmWTFyY1lBVk0yVlA3K0kvUWt4VFh2MWhhN05v?=
 =?utf-8?Q?eQ81NgKbvHNeM74mU3eyjMDTEXuWa7WC7H29SNl?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: bf5c628f-d2a8-4c56-5320-08d8df40dc9a
X-MS-Exchange-CrossTenant-originalarrivaltime: 04 Mar 2021 19:08:14.4160 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: jVeMi2eo6bmbF1qAfWcWnMmfutEp6EsuNPGRtMRq5DJ8zr4OsFm+U5aVgx7mQwBHWtSqwIrPXqXTAsanQYPPEw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4780
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9913
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 spamscore=0 suspectscore=0
 mlxlogscore=941 bulkscore=0 adultscore=0 phishscore=0 malwarescore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2103040090
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9913
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 clxscore=1015
 malwarescore=0
 mlxlogscore=999 spamscore=0 phishscore=0 lowpriorityscore=0
 impostorscore=0 mlxscore=0 suspectscore=0 bulkscore=0 adultscore=0
 priorityscore=1501 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2103040090
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiA+IElmIHdlIGhhdmUgYSBmYWNlIEluZm8tcXVvdGVkIHRoZW4gdGhlcmUgaXMgbm8gbmVlZCBm
b3IgdGhlIHF1b3RlcywgYmVjYXVzZQ0KPiA+IHRoZSBxdW90ZXMgYXJlIG9ubHkgdGV4dCBtYXJr
dXBzIHdoaWNoIGFyZSB0cmFuc2xhdGVkIHRvIGEgZmFjZSwgc28gdGhlIHF1b3RlZA0KPiA+IHBh
cnQgaXMgaGlnaGxpZ2h0ZWQgZm9yIHRoZSB1c2VyLCB0aGVyZSBpcyBubyBwb2ludCBpbiBsZWF2
aW5nIHRoZSBtYXJrdXAgdGhlcmUuDQo+IA0KPiBJIGRvbid0IHRoaW5rIEkgYWdyZWUsIGJ1dCBt
YXliZSBzb21lb25lIGVsc2Ugd2lsbCBoYXZlIGFuIG9waW5pb24/DQoNCkkgcHJvdmlkZWQgYW4g
b3Bpbmlvbi4NCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 18:40:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 13:40:29 2021
Received: from localhost ([127.0.0.1]:60207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHsth-0004KZ-4u
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 13:40:29 -0500
Received: from mail-40137.protonmail.ch ([185.70.40.137]:48288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lHstd-0004KJ-33
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 13:40:28 -0500
Date: Thu, 04 Mar 2021 18:40:13 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1614883218;
 bh=IBV/qQvd9bvvZIsLGh2igSPF7sMokyi2Bz5Ef5pVbLg=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=poalb5ko3O7f+oSXk0Z7BbLISloQu+nF+itU22MmFtv0sfkIBzhEpFg9Dqte3879K
 esCKYfqBydAH1EJRFXcplvnie5rGOzDMJ2gRDksBim8SVmcIdGlZH3p00MqO/0m6Jx
 XOpP7sA8Yp1q5qVYMElFRfBS+M20P/IYh9BeTpA0=
To: Drew Adams <drew.adams@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: RE: [External] : bug#46926: Remove the quotes from highlighted/linked
 symbols when displaying docs
Message-ID: <VtBa_L5dysGUMbCBHf3MzSSRO1FolBYSjWsweMTBZQvUuH71x4LGyTp-4G_t2hodVGL1mPXfS0lDRUfFDWW45u2OnocapCcfooAxqxjFKcs=@protonmail.com>
In-Reply-To: <SA2PR10MB4474EA18CE784D20A20625FEF3979@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <SA2PR10MB4474EA18CE784D20A20625FEF3979@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>
> No. Please do not do this.
>
> 1.  Users can turn off such highlighting. They still need
>     to be able to easily see such things. The things need
>     to stand out.

I meant it could be done with a face, so obviously a face
can be customized.

>
> 2.  Users need to be able to search for such things, and
>     one way to do that is to include the quotes, whether
>     with a regexp or a plain-text pattern.

If we consider Help buffers they usually not that large
that you have to search for symbols in them.

Check out this Help window. It is more tidy and readable
without the unnecessary quotes:

https://i.imgur.com/xiHv8lr.png





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 18:36:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 13:36:43 2021
Received: from localhost ([127.0.0.1]:60201 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHsq3-0004F1-Hi
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 13:36:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lHsq1-0004Eo-CH
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 13:36:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38624)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lHspv-0004ei-Ir; Thu, 04 Mar 2021 13:36:35 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4459
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lHspq-0003NO-Oz; Thu, 04 Mar 2021 13:36:35 -0500
Date: Thu, 04 Mar 2021 20:36:13 +0200
Message-Id: <83y2f2zrz6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
 (message from scame on Thu, 04 Mar 2021 17:50:27 +0000)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
 <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Thu, 04 Mar 2021 17:50:27 +0000
> From: scame <laszlomail@HIDDEN>
> Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
> 
> >
> > Help buffers do, but where did you see that in Info? Can you show an
> > example?
> 
> Info does not link, but highlight symbols.

By "highlight", do you mean the special face we use there?  If so,
that's not highlighting.

> BTW, why symbols in info are not linked to their index entries?
> E.g. the user could press Enter on a highlighted symbol to quickly
> look it up. Why isn't this a thing?

I believe this was discussed recently.  But it's a different issue;
the Info manuals provide cross-references where the author thought
they are needed.

> > I disagree. The quotes indicate that it's a symbol, the link face
> > indicates that we have more information about that symbol elsewhere.
> > These are two orthogonal indications, so they complete each other, not
> > contradict.
> 
> Well, is this a symbol?  Example from Elisp info:
> 
> ‘(DISPLAY PLIST)’
> 
> or
> 
> ‘(:foreground "red" :weight bold)’

How is this related to the issue at hand?

> These have the face Info-quoted like quoted symbols in Info. So the face
> indicates this is a quoted entity (not necessarily a symbol).

We could discuss whether the face alone is enough in Info.  My
personal opinion is that it isn't enough: the face we use there
doesn't guarantee any highlighting, because the user could customize
the face to be anything but.

> If we have a face Info-quoted then there is no need for the quotes, because
> the quotes are only text markups which are translated to a face, so the quoted
> part is highlighted for the user, there is no point in leaving the markup there.

I don't think I agree, but maybe someone else will have an opinion?

And what about Help buffers?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 17:58:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 12:58:28 2021
Received: from localhost ([127.0.0.1]:60123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHsF2-0003H8-0S
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 12:58:28 -0500
Received: from userp2120.oracle.com ([156.151.31.85]:60348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lHsEz-0003Gu-Ow
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 12:58:26 -0500
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 124Hsv8m139464;
 Thu, 4 Mar 2021 17:58:19 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=F6Ox/uaeEb/K6xde6ERDIekpwb/xzS8rvcM+4iJ97CI=;
 b=CGOAwOiKwpSpuoLW3Tf9pB9haMfRvHmGgXrm2+QZodGalesDQ9YQ5jTlTnG+ZmW2ggjG
 WS3M9eYlGNaxbeHKCKOxYYzllMsfdXiXyCdaNrqw1uk0lJ7fmRnn0/yMTES+oB1fRR10
 P6W0Ju6zC1QKBKrGiCUI00xzCI0iRHT7C42sPTK6+NFHGvwacrikmA6Vj7tjSAeHuyHO
 FsAy1J7vVVxsSHk5AdZsgXuh66kDjR5D3+Z74+IHHDRctJ+0vV5saDv+uTHUY9kqwC9v
 CMxaRxaOkQX9CAOyKeDizydiNRxv6fiHtcnCn3q51WWq84mkc6yyzwZZQnJqEz+6qCEV iQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2120.oracle.com with ESMTP id 36yeqn7wnq-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 04 Mar 2021 17:58:19 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 124Hugv0035032;
 Thu, 4 Mar 2021 17:58:18 GMT
Received: from nam10-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam10lp2102.outbound.protection.outlook.com [104.47.55.102])
 by userp3020.oracle.com with ESMTP id 36yyuv5pqj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 04 Mar 2021 17:58:18 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=fK8HSolDU1vrLrfo1ETHevtsslevGuMu+zabyx4uGOyxjs74jLjMKMIuaioKjiT/DBtbbU2cLNcoIgSQ7ScScPqYkKD0ZmuGUjYpgtAOilbJIEqd0wAEwiT98ztE5YXVdKNRrYgfgsw8PHE0D6EcjgZ7AEhVtuOaMfoRvT+DzUhwD0tXNDk2UHH/WGOjv84hlKqqPL8uvtk8WqwS2KGRK/cv3jU914MIakEyXAZSaXKBhkAMOj8KSqhi832jUko/clSokb/mZxTRfUS7kY530GNrQkM/XyYrnilwHygNAIYpeDQRa+X0mfcwqgU597yiPUyOfoSYwEXd1Rom39J11w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=F6Ox/uaeEb/K6xde6ERDIekpwb/xzS8rvcM+4iJ97CI=;
 b=LQ/1dnVt3jizS2XWz9jm9+r//3u1MG5r13pkXxmmE0li8yOEyU22xPGVN8XoTQ0SK/AZlgWrfS+2BGLVzmaMUX3EgOU6aVjZdEPo2CVL9MVWYrwSZEEVfp0SOjsfV5sHnaHk+NWs9uz0QrfxqP5J5S4PVkgK12CerXG8KNYZLm3j87wPAq57zHAB/anJbMc8HfDToxDASKqQ4BdHOsM2bR+1JYRBXNfYjeC/BAkvKVHPfSttyjWxWWwe9kEX5MUU5sTqtatWj/77bNPexgk1JbDndlwMzxuscO5qeooDEg9zvzWa/A2eXFfvPNQWV1NZSCqKGI6cRwTkIjNAgk+JOw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=F6Ox/uaeEb/K6xde6ERDIekpwb/xzS8rvcM+4iJ97CI=;
 b=CHao+zFsRskPn06MzFSez1SU/hcM0FjVoir9p+bBxaffmvx5FgcyKhd1jmqmem03WcJxH4q2zRaQI2cf9zO4iyL2nA8incqNDGOmFwQ5SAByzYyiqp2DMgE4JkZ7UmlMzdy9Gyrss8aOJMiBuxGucPqH8iK2zw6ojfCvwqIofd8=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4588.namprd10.prod.outlook.com (2603:10b6:806:f8::22)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3912.17; Thu, 4 Mar
 2021 17:58:17 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3912.022; Thu, 4 Mar 2021
 17:58:16 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: scame <laszlomail@HIDDEN>, "46926 <at> debbugs.gnu.org"
 <46926 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#46926: Remove the quotes from highlighted/linked
 symbols when displaying docs
Thread-Topic: [External] : bug#46926: Remove the quotes from
 highlighted/linked symbols when displaying docs
Thread-Index: AQHXERfWlJ9cRAyQqUi1lEjyvu1Hjqp0HAXQ
Date: Thu, 4 Mar 2021 17:58:16 +0000
Message-ID: <SA2PR10MB4474EA18CE784D20A20625FEF3979@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
In-Reply-To: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: protonmail.com; dkim=none (message not signed)
 header.d=none;protonmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 196bdf95-ca38-490c-22fd-08d8df3716b0
x-ms-traffictypediagnostic: SA2PR10MB4588:
x-microsoft-antispam-prvs: <SA2PR10MB4588EECCB59A3FBBB097E642F3979@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 72F+NcDr/FlHCJIpwM1FBmzDoGw8vBaMxXww35q6UUEZrs1vjP7kpPg4VhKsrCI9XqKrOS3QLO0AhA7ZgdaO0Cm72T6vdEs6T+57LO4iSjm0aAjWGqkf0onm0HvzwGLqjjFCuYjxmArS66DzNo4gGTVY2gzTRMc5tXjYZfosxCgCywDaDMRzMjEFqPTyUZ8XE28tYKyMpra7p6GkKqWvTxe9Ua/jzRBmH5ujLD6Q6IQhuTKjrtrP7jUtpXxDR3fM5ZUxZI0hgjVJYGo5/L6pKZwg/nkm1XWxPUUropmaPaNvR6p/MNUlXv3egDhToQiVV/vGrr5EGOUSCzRHW+oDShgFmSJLoWKsmMB5iroaxgHaTgRt5ITFRMQr4D1PAqmbTzNIcIB8+Ld/o74UelP+GeO1sklfw2UpUd1UCncKk7vD6TbsB1Sm/eSTuLYfS23iA1SYPVfYfAbAlkE+6D8JzzZRAx3YrIWzqDbr/GTz9JQeo8DJijQS7EJfg7yqJwH1Whb2RfDWBYgTxICIv0a5wQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(39860400002)(366004)(136003)(346002)(396003)(478600001)(7696005)(2906002)(8936002)(316002)(44832011)(6506007)(66946007)(5660300002)(110136005)(86362001)(66556008)(64756008)(186003)(55016002)(9686003)(66446008)(76116006)(66476007)(26005)(52536014)(8676002)(71200400001)(33656002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?blhrK0cvOTFyUjFRWE90R3FYMkZ3TjE4SXNacG1tTnF4cnZFZ1RDc2VFbHVr?=
 =?utf-8?B?dFRWKzFMcFgzcFkwSW53UjZxK20xSnF4M0RHT3E3N0VmbkNabkRxZUNqUHg0?=
 =?utf-8?B?WFE0Tkt0ZERWRG5DOGRhZVFQVTNVVUE4cGExQURxcjBBRDJBcXY0YUMvdzNS?=
 =?utf-8?B?QXp4QlF2akZjNmVLUGhOekZxSDIzUnd4S28vRHF1QmRTanRQREF5WGFuSUVt?=
 =?utf-8?B?Qi9mc08yYTcxaGdxSkF6RUdPYUR0YWRBTmZRVndUb05JQUxMS2xYUVFGbXow?=
 =?utf-8?B?d3FvbDhsWXZ6dmhXUlp4T3BOaGxJV09SQ0xuNWcyK2FPL0RLenlDaG5UTFNN?=
 =?utf-8?B?VVJBZWpBbk44R2M0d2pvUkcrWTZqSS9OM1BTUy9hOC9qR0dyUXNSU0p3OFpT?=
 =?utf-8?B?TndScFZEcUJyUkFKQU9qekM1UDlHR3h0TE05N3RrWm9WKzZLSnZlcE9CQmYr?=
 =?utf-8?B?TDNpYkxpUWNQeVl4OHduMnZ5TFJvTE5pdUVmMWlJN1BleXcwaHBHS3Jmcnhw?=
 =?utf-8?B?cXYybVJiK29FYUtiL3BYS2dsMTNMVFJvRkFoTXR6V3gvWWhjMVhGd0FaOHc2?=
 =?utf-8?B?UlA1OUUrQlJncTRTNXNLQ1lCcVEwTERJL0JmT1B3NGxzaXZXOERxNUVyUkIx?=
 =?utf-8?B?b1NScVRMV3MzN3JHSVhzUWxRZUdSdWRoQUpJOFNiT0hrUHZaQmpEelpwbmlt?=
 =?utf-8?B?SEdlTi9pNmJtZkU2STE5NWpRQTVjZWFITS9LbEcwR1Y4VnZmdUJHcnN2UnM5?=
 =?utf-8?B?dVpuZVVCRlpUbkZXUTM3dHN5cFJCYllrbDlTMXRtQ1AvV3FCMnpIMEN5QWhQ?=
 =?utf-8?B?S1dPMFpkc0gzTFppV3NFSFRRQWlyK3BMdUpCSnZTOGZVcUhOM2ZLL2tZcXhF?=
 =?utf-8?B?dWM5cDRwaUhnNVJYMkRCSEtjRGVLK05vYWJyd2k0T2dVR2RBek5sVDhJTkp2?=
 =?utf-8?B?bVg5eXMxT2NzVVBBK0VRdlM4OUdUU2QyaUZZWFkrQmRUQmRuZWF0VFVtRnRC?=
 =?utf-8?B?d3UxSlRIbFQ4Z3NadmRWbitZWFlmalJzODFsOGQzZmRvNUwxaW1QajZVSGFq?=
 =?utf-8?B?eGRVZFBxTk1kUGF6WHpZVXZIV0NjbUx2RXhuS3Y1R1NRbGxtYWdqQ2pDRFRo?=
 =?utf-8?B?ZjU3V0dHaVlxakRmSHFvamtHZkY4RUpCR1UwakdHOVNta0NyWitMcFdhMTc1?=
 =?utf-8?B?QlJVMGhYOHBNZktYVzQzcGJwVzlKMldjUDlZK254SXV0V3VTVW0wVDQxZnhX?=
 =?utf-8?B?Slk2Ny9zMnFUSlNMbTl1UUtXcU1sT0toU042d3pzeGJyZmROS2dobVRURjZ0?=
 =?utf-8?B?WXlSWThLK2tWUnAzSTJxaHA4VXl1TzR1V2VWTFRnVzI5b3g4cnNRTGJGTnZH?=
 =?utf-8?B?TU5QMkJ2UHlLb1JGOGVmWlZjcHBEdUxXemo3N041NHF3K0E2bjY5SFVmNzVz?=
 =?utf-8?B?cEovRU0xTnpEY2U5SW1PSTBvNElNWDJRNlRpNXdBb3dYaEZPQ3Y1MW9wUmI3?=
 =?utf-8?B?UlI4TzhqSGZJbjBGc2poZy9rZFRqRXpLdGxaWjNmcW1MYmJlK1pvSG5BUDFq?=
 =?utf-8?B?dzdDYnBDU0g0V3NnWDhYZkFXM2l4UG9YYm9EU3RFMmN4bkQyd01uUnhIam02?=
 =?utf-8?B?blRqNXZidk5JQ0txKy9TYjZoTVlXK1RXaC9FODFwaHNVR1ZWZm1WZStFL24w?=
 =?utf-8?B?ajNVWWJRdm5iS2tndFdRTTJ0T2d0MU5XelBwM0hXUW9VUzFMY2FqTStWSVVv?=
 =?utf-8?Q?x+gmq/oenNjMiKdFDYWrVgmm4EEIplV4hcd3XSo?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 196bdf95-ca38-490c-22fd-08d8df3716b0
X-MS-Exchange-CrossTenant-originalarrivaltime: 04 Mar 2021 17:58:16.8826 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Vu2XaC4QeA7E7wWexmtfQGCr59cMLWtuI0hHJpqVSzFS4VyGifaJo47xB2UH79hmZquXcMw8OAwlWYrRZ9mK8g==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4588
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9913
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 spamscore=0 suspectscore=0
 mlxlogscore=999 bulkscore=0 adultscore=0 phishscore=0 malwarescore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2103040085
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9913
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 lowpriorityscore=0 clxscore=1011
 priorityscore=1501 mlxlogscore=999 suspectscore=0 malwarescore=0
 impostorscore=0 bulkscore=0 adultscore=0 mlxscore=0 phishscore=0
 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2103040085
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46926
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiBIZWxwIHdpbmRvd3MgYW5kIEluZm8gc2hvdyBxdW90ZWQgc3ltYm9scyBsaW5rZWQvaGlnaGxp
Z2h0ZWQuIFRoZQ0KPiBxdW90ZXMgYXJlIGFkZGVkIHRvIGRlbm90ZSB0aGUgc3ltYm9sIGluIHNv
dXJjZSBkb2NzLCBidXQgd2hlbiB0aGUgc3ltYm9sIGlzDQo+IGxpbmtlZC9oaWdobGlnaHRlZCB0
aGVuIHRoZSBzeW1ib2wgaXMgYWxyZWFkeSBwcm9jZXNzZWQgZm9yIGRpc3BsYXkgYW5kDQo+IGVt
cGhhc2lzZWQsICBzbyB0aGVyZSBpcyAgbm8gbmVlZCBmb3IgZGlzcGxheWluZyAgdGhlIHF1b3Rl
cy4NCj4gDQo+IFVubmVjZXNzYXJ5IGNoYXJhY3RlcnMgbWFrZSB0aGUgdGV4dCBoYXJkZXIgdG8g
dGhlIHJlYWQsIHNvIHRoZSBxdW90ZXMNCj4gc2hvdWxkIGJlIGhpZGRlbiBmcm9tIGRpc3BsYXkg
aW4gZG9jcy4gKENhbiBjaGFyYWN0ZXJzIGJlIGhpZGRlbiB3aXRoIGENCj4gZmFjZT8pDQoNCk5v
LiAgUGxlYXNlIGRvIG5vdCBkbyB0aGlzLg0KDQoxLiBVc2VycyBjYW4gdHVybiBvZmYgc3VjaCBo
aWdobGlnaHRpbmcuICBUaGV5IHN0aWxsIG5lZWQNCiAgIHRvIGJlIGFibGUgdG8gZWFzaWx5IHNl
ZSBzdWNoIHRoaW5ncy4gIFRoZSB0aGluZ3MgbmVlZA0KICAgdG8gc3RhbmQgb3V0Lg0KDQoyLiBV
c2VycyBuZWVkIHRvIGJlIGFibGUgdG8gc2VhcmNoIGZvciBzdWNoIHRoaW5ncywgYW5kDQogICBv
bmUgd2F5IHRvIGRvIHRoYXQgaXMgdG8gaW5jbHVkZSB0aGUgcXVvdGVzLCB3aGV0aGVyDQogICB3
aXRoIGEgcmVnZXhwIG9yIGEgcGxhaW4tdGV4dCBwYXR0ZXJuLg0KDQpJZiB5b3UgcGVyc29uYWxs
eSBkb24ndCB3YW50IHRvIHNlZSB0aGUgcXVvdGVzLCB0aGVuDQpkZWZpbmUgc29tZSBjb2RlIHRo
YXQgaGlkZXMgdGhlbS4NCg0KRW1hY3MgaXRzZWxmIGNvdWxkIG9wdGlvbmFsbHkgaGF2ZSBhIGNv
bW1hbmQvbW9kZSB0bw0KaGlkZSB0aGVtLiAgQnV0IEksIHBlcnNvbmFsbHksIGFtIG5vdCBpbiBm
YXZvciBvZiB0aGF0Lg0KTGlrZXdpc2UsIGZvciBoaWRpbmcgPC4uLj4sICIuLi4iLCAnLi4uJywg
b3IgYW55IG90aGVyDQpzdWNoIGVudmVsb3Blcy4NCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 17:50:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 12:50:40 2021
Received: from localhost ([127.0.0.1]:60117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHs7U-000365-35
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 12:50:40 -0500
Received: from mail-40130.protonmail.ch ([185.70.40.130]:55223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lHs7Q-00035q-S5
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 12:50:39 -0500
Date: Thu, 04 Mar 2021 17:50:27 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1614880230;
 bh=B5mC2/B81Vj7gUOGFxdfyvWFxTwIBjH/pkElvADZXBk=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=eMWuhrLM7L4Dji65h8x5oqVYm4k30FMA9CGx0HwQmSD4AlE6VScOysEz6S3yE65yw
 EFtBmEa83vLLtq9JfmwIaKjdiFN2zO9QMmFskAq3fsEtLlSXlqDEugzYszj/xuPKAG
 wZNJlVz3mGmP3sm50skJhRfNV9l3WFXjePfzs3HQ=
To: Eli Zaretskii <eliz@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
Message-ID: <_H0XqIXt1dfP3H0t7B5ffiqUQfbMsO6VjonudikF85OIm5y8BWOkrXn4_dedZzvdxv4o5Ug2rhFkFqAqNuS9-XIKRsSy2P4IBrBE5QMtK9I=@protonmail.com>
In-Reply-To: <8335xa25wy.fsf@HIDDEN>
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 <8335xa25wy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: "46926 <at> debbugs.gnu.org" <46926 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> Help buffers do, but where did you see that in Info? Can you show an
> example?

Info does not link, but highlight symbols. BTW, why symbols in info are
not linked to their index entries? E.g. the user could press Enter
on a highlighted symbol to quickly look it up. Why isn't this a thing?

> I disagree. The quotes indicate that it's a symbol, the link face
> indicates that we have more information about that symbol elsewhere.
> These are two orthogonal indications, so they complete each other, not
> contradict.

Well, is this a symbol?  Example from Elisp info:

=E2=80=98(DISPLAY PLIST)=E2=80=99

or

=E2=80=98(:foreground "red" :weight bold)=E2=80=99


These have the face Info-quoted like quoted symbols in Info. So the face
indicates this is a quoted entity (not necessarily a symbol).

If we have a face Info-quoted then there is no need for the quotes, because
the quotes are only text markups which are translated to a face, so the quo=
ted
part is highlighted for the user, there is no point in leaving the markup t=
here.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at 46926 <at> debbugs.gnu.org:


Received: (at 46926) by debbugs.gnu.org; 4 Mar 2021 17:19:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 12:19:36 2021
Received: from localhost ([127.0.0.1]:60065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHrdQ-0002Ix-Ln
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 12:19:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lHrdO-0002Ik-6Y
 for 46926 <at> debbugs.gnu.org; Thu, 04 Mar 2021 12:19:35 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37282)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lHrdI-0002Wk-GW; Thu, 04 Mar 2021 12:19:28 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3720
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lHrdH-0004SR-Ff; Thu, 04 Mar 2021 12:19:28 -0500
Date: Thu, 04 Mar 2021 19:19:09 +0200
Message-Id: <8335xa25wy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: scame <laszlomail@HIDDEN>
In-Reply-To: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when
 displaying docs
References: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46926
Cc: 46926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Thu, 04 Mar 2021 16:57:24 +0000
> From:  scame via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Help windows and Info show quoted symbols linked/highlighted.

Help buffers do, but where did you see that in Info?  Can you show an
example?

> The quotes are added to denote the symbol in source docs, but when
> the symbol is linked/highlighted then the symbol is already
> processed for display and emphasised, so there is no need for
> displaying the quotes.

I disagree.  The quotes indicate that it's a symbol, the link face
indicates that we have more information about that symbol elsewhere.
These are two orthogonal indications, so they complete each other, not
contradict.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Mar 2021 16:57:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 11:57:41 2021
Received: from localhost ([127.0.0.1]:60034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHrIC-0001jd-HH
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 11:57:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:32808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1lHrI7-0001jT-Vq
 for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 11:57:38 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:40830)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1lHrI7-0007xL-Lt
 for bug-gnu-emacs@HIDDEN; Thu, 04 Mar 2021 11:57:35 -0500
Received: from mail-40140.protonmail.ch ([185.70.40.140]:19737)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1lHrI5-0000JA-2M
 for bug-gnu-emacs@HIDDEN; Thu, 04 Mar 2021 11:57:35 -0500
Date: Thu, 04 Mar 2021 16:57:24 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1614877048;
 bh=C8Iz1xDkGO13eUQbI30sffqx3b8KSWv1k2hcNMbZJx4=;
 h=Date:To:From:Reply-To:Subject:From;
 b=jEVfzaqjpWJpoa0tsIiG4g5HwU5IBnmz5/RiTjyRTfRIeUU3SUj9vwGT/N1bXqLEU
 SyFVxhTcQVoX19UU1/RFk48/ZrIgEC1sKETJ/2qPim9AWghi+JIFwRkyXAx4GOZDPb
 rInmPikTUTbq2YnMJvokk4nSeG5OKTOrOlJ/wpak=
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
From: scame <laszlomail@HIDDEN>
Subject: Remove the quotes from highlighted/linked symbols when displaying docs
Message-ID: <T1Tq9JA9J_-FcH3lAIDQ5ypP1a1fvrCRCpazRSLNVdibdSfdfHKWMAWaFXtQ943Vv67pN6gFsm9g3tP7T1TgZmxXBID1YSfBAUQUBCTTpss=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.140;
 envelope-from=laszlomail@HIDDEN; helo=mail-40140.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: scame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Help windows and Info show quoted symbols linked/highlighted. The quotes
are added to denote the symbol in source docs, but when the symbol is
linked/highlighted then the symbol is already processed for display and
emphasised,  so there is  no need for displaying  the quotes.

Unnecessary characters make the text harder to the read, so the quotes
should be hidden from display in docs. (Can characters be hidden with a fac=
e?)




Acknowledgement sent to scame <laszlomail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46926; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Jun 2022 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.